<?php


/**
 * Sophia Valeria functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Sophia_Valeria
 **/
 
  
  //change tagline color option
  

if ( ! defined( '_S_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( '_S_VERSION', '1.0.0' );
}

if ( ! function_exists( 'sophia_valeria_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	 

	function sophia_valeria_setup() {
		/*
		 * Make theme available for translation.
		 * Translations can be filed in the /languages/ directory.
		 * If you're building a theme based on Sophia Valeria, use a find and replace
		 * to change 'sophia-valeria' to the name of your theme in all the template files.
		 */
		load_theme_textdomain( 'sophia-valeria', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'wp-block-styles' );

        add_editor_style( 'style-editor.css' );
        
        add_theme_support( 'responsive-embeds' );
        
        $args = array(
	    'search-form',
	    'comment-form',
	    'comment-list',
	    'gallery',
	    'caption',
        );
        
    add_theme_support( 'html5', $args );
        
    /*  add_theme_support( 'custom-header', array(
            'video' => true
                 ));  
                 
    add_theme_support( 'custom-logo', array(
    'height' => 480,
    'width'  => 720,
    ) );       
    */
        

        add_theme_support( 'editor-styles' );
        
        require get_stylesheet_directory() . '/inc/customizer_files/take_out_of_class.php';
        
        require get_stylesheet_directory() . '/inc/customizer_files/logo_move.php';	
        
        require get_stylesheet_directory() . '/inc/customizer_files/social_media.php';
        
        require get_stylesheet_directory() . '/inc/customizer_files/custom_footers.php';	
        
        require get_stylesheet_directory() . '/inc/customizer_files/custom_headers.php';
        
        //require get_template_directory() . '/inc/customizer_files/hidden_title.php';
        
        require get_stylesheet_directory() . '/inc/customizer_files/remove_wp_class.php';	

        require get_stylesheet_directory() . '/inc/customizer_files/effects.php';

        require get_stylesheet_directory() . '/inc/customizer_files/site_identity.php';

        include_once get_template_directory() . '/inc/customizer_files/social_media.php';

        //require get_stylesheet_directory() . '/inc/customizer_files/sv_info_section.php';

		/*
		 * Let WordPress manage the document title.
		 * By adding theme support, we declare that this theme does not use a
		 * hard-coded <title> tag in the document head, and expect WordPress to
		 * provide it for us.
		 */
		add_theme_support( 'title-tag' );

		/*
		 * Enable support for Post Thumbnails on posts and pages.
		 *
		 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		 */
		add_theme_support( 'post-thumbnails' );
		
		 add_theme_support('align-wide');

		// This theme uses wp_nav_menu() in one location.
		register_nav_menus(
			array(
				'menu-1' => esc_html__( 'Primary', 'sophia-valeria' ),
				 "footer-menu" => __("footer menu", "sophia-valeria"),
				 'sv-menu' => __('header menu',__( 'sophia-valeria' )),
				 'sv-footer-menu' => __('custom footer menu',__('sophia-valeria')),
				 'sv-social-menu' => __('social-header-menu',('sophia-valeria')),
				 
				 
				
			
		));

    

		/*
		 * Switch default core markup for search form, comment form, and comments
		 * to output valid HTML5.
		 */
		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
			)
		);

		// Set up the WordPress core custom background feature.
		add_theme_support(
			'custom-background',
			apply_filters(
				'sophia_valeria_custom_background_args',
				array(
					'default-color' => 'black',
					'default-image' => get_template_directory_uri() . '/images/bgg33.jpg',
				)
			)
		);

		// Add theme support for selective refresh for widgets.
		add_theme_support( 'customize-selective-refresh-widgets' );

		/**
		 * Add support for core custom logo.
		 *
		 * @link https://codex.wordpress.org/Theme_Logo
		 */
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
		

 
add_action( 'after_setup_theme', 'sv_custom_logo_setup' );
		
		
        add_theme_support('custom-header', apply_filters(
			'sophia_valeria_custom_header_args',
			array(
				'default-image'     => '',
				'default-text-color' => 'white',
				'width'              => 2900,
				'height'             => 768,
				'flex-height'        => true,
				'flex-width'         => true,
				//'wp-head-callback'   => 'sophia_valeria_header_style',
				//get_template_directory_uri() . '/images/midnight.png'
			)
		)
	);
	
	register_default_headers( array(
    'default-image' => array(
        'url'           => get_stylesheet_directory_uri() . '/images/header112.png',
        'thumbnail_url' => get_stylesheet_directory_uri() . '/images/header112.png',
        'description'   => __( 'Default Header Image', 'sophia-valeria' )
    ),
	'xr_image' => array(
        'url'           => get_stylesheet_directory_uri() . '/images/midnight.png',
        'thumbnail_url' => get_stylesheet_directory_uri() . '/images/midnight.png',
        'description'   => __( 'XR Header Image', 'sophia-valeria' )
    ),	
) );

	}
endif;
add_action( 'after_setup_theme', 'sophia_valeria_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function sophia_valeria_content_width()
{
    $GLOBALS["content_width"] = apply_filters(
        "sophia_valeria_content_width",
        640
    );
}

add_action("after_setup_theme", "sophia_valeria_content_width", 0);




/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function sophia_valeria_widgets_init()
{
    register_sidebar([
        "name" => esc_html__("Sidebar", "sophia-valeria"),
        "id" => "sidebar-1",
        "description" => esc_html__("Add widgets here.", "sophia-valeria"),
        'class' => 'smock',
        "before_widget" => '<section id="%1$s" class="widget %2$s">',
        "after_widget" => "</section>",
        "before_title" => '<h2 class="widget-title">',
        "after_title" => "</h2>",
    ]);
    
    register_sidebar( array(
        'name' => __( 'right-side-bar', 'sophia-valeria'),
        'id' => 'on-right-side',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>',
        
        ));
    
}
add_action("widgets_init", "sophia_valeria_widgets_init");

/**
 * Enqueue scripts and styles.
 */
function sophia_valeria_scripts()
{
    wp_enqueue_style(
        "sophia-valeria-style",
        get_stylesheet_uri(),
        [],
        _S_VERSION
    );
    wp_style_add_data("sophia-valeria-style", "rtl", "replace");

    wp_enqueue_script(
        "sophia-valeria-navigation",
        get_template_directory_uri() . "/js/navigation.js",
        [],
        _S_VERSION,
        true
    );

    if (is_singular() && comments_open() && get_option("thread_comments")) {
        wp_enqueue_script("comment-reply");
    }
}
add_action("wp_enqueue_scripts", "sophia_valeria_scripts");

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . "/inc/custom-header.php";

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . "/inc/template-tags.php";

/**
 *
 * links to new pattern functions.
 *
 */

require get_template_directory() .
    "/inc/customizer_files/new_block_patterns.php";

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . "/inc/template-functions.php";

/**
 * Customizer additions.
 */
require get_template_directory() . "/inc/customizer.php";

// links to menu options control customizer control file.
require get_template_directory() . "/inc/customizer_files/menu_controls.php";

// Functions which modifies the headings branding colors.
require get_template_directory() .
    "/inc/customizer_files/mod_headings_colors.php";

//post customizations
require get_template_directory() . "/inc/customizer_files/post_custom.php";

//removes comment link and update link from admin bar
function sv_remove_admin_bar_links(){
    global $wp_admin_bar;
    $wp_admin_bar->remove_menu("updates");
    $wp_admin_bar->remove_menu("comments");
}
add_action("wp_before_admin_bar_render","sv_remove_admin_bar_links");

add_action("init", function () {
    wp_enqueue_style(
        "my-block-styles",
        get_stylesheet_directory_uri() . "/css/my-custom-block-style.css",
        false
    );
    register_block_style("core/cover", [
        "name" => "my-cover-color",
        "label" => __(
            "Set Random Cover Image with a background color filter.",
            "sophia-valeria"
        ),
        "style_callback" => function ($block) {
            return "background-color: " . $block["backgroundColor"];
        },
    ]);
});


/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}





function sv_register_font_styles()
{
    wp_register_style("acumin-pro", "https://use.typekit.net/vnl7erz.css");
    wp_register_style("philosopher", "https://use.typekit.net/vnl7erz.css");
    wp_register_style(
        "utopia-std-headline",
        "https://use.typekit.net/vnl7erz.css"
    );
    wp_register_style("myriad-pro", "https://use.typekit.net/vnl7erz.css");
    wp_register_style(
        "roboto",
        "https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap"
    );
    wp_register_style(
        "poppins",
        "https://fonts.googleapis.com/css2?family=Poppins:ital,wght@1,100&display=swap"
    );
    wp_register_style(
        "dancing-script",
        "https://fonts.googleapis.com/css2?family=Dancing+Script&family=Inconsolata:wght@300&family=Poppins:ital,wght@1,100&display=swap"
    );
    wp_register_style(
        "source-serif-pro",
        "https://use.typekit.net/vnl7erz.css"
    );
    wp_register_style("source-serif-4", "https://use.typekit.net/vnl7erz.css");
}
add_action("wp_enqueue_scripts", "sv_register_font_styles");






function sophia_valeria_customize($wp_customize)
{
    //All our sections, settings, and controls will be added here

    $wp_customize->add_section("sophia_valeria_options", [
        "title" => __("Typography Options", "sophia-valeria"),
        "priority" => 90,
        "capability" => "edit_theme_options",
        "description" => __("Customize fonts for Theme.", "sophia-valeria"),
    ]);

    $wp_customize->add_setting("typography_sv_setting", [
        "default" => "acumin-pro",
        "type" => "theme_mod",
        "capability" => "edit_theme_options",
        "sanitize_callback" => "sv_sanitize_css",
    ]);
    
    

    function sv_sanitize_css($css){
        return wp_strip_all_tags($css);
    }

    $wp_customize->add_control(
        new WP_Customize_Control($wp_customize, "typography_sv", [
            "label" => __("Change the Font", "sophia-valeria"),
            "description" => __(
                "Using this option you can change the font",
                "sophia-valeria"
            ),
            "settings" => "typography_sv_setting",
            "priority" => 90,
            "section" => "sophia_valeria_options",
            "type" => "select",
            "choices" => [
                "acumin-pro" => "Acumin-Pro",
                "philosopher" => "Philosopher",
                "utopia-std-headline" => "Utopia",
                "myriad-pro" => "Myriad",
                "roboto" => "Roboto",
                "poppins" => "Poppins",
                "dancing-script" => "Dancing Script",
                "source-serif-pro" => "Wedding: Source Serif",
                "source-serif-4" => "Champagne: light Serif",
                "statik" => "statik",
            ],
        ])
    );

    //create a setting to change the menu's font family
    $wp_customize->add_setting("menu_font", [
        "capability" => "edit_theme_options",
        "type" => "theme_mod",
        "default" => "acumin-pro",
        "sanitize_callback" => "sv_sanitize_css",
    ]);

    $wp_customize->add_control(
        new WP_Customize_Control($wp_customize, "menu_fontz", [
            "label" => __("Change menu font family.", "sophia-valeria"),
            "description" => __(
                "Using this option you can change the menu font family.",
                "sophia-valeria"
            ),
            "settings" => "menu_font",
            "priority" => 7,
            "section" => "sophia_valeria_options",
            "type" => "select",
            "choices" => [
                "acumin-pro" => "Acumin-Pro",
                "philosopher" => "Philosopher",
                "utopia-std-headline" => "Utopia",
                "myriad-pro" => "Myriad",
                "roboto" => "Roboto",
                "poppins" => "Poppins",
                "dancing-script" => "Dancing Script",
                "source-serif-4" => "Champagne: light Serif",
            ],
        ])
    );

    //add new setting to change the color of all <p> tags
    $wp_customize->add_setting("p_color_sv_setting", [
        "default" => "white",
        "type" => "theme_mod",
        "capability" => "edit_theme_options",
        "sanitize_callback" => "sv_sanitize_css",
    ]);

    //add new control for the color
    $wp_customize->add_control(
        new WP_Customize_Control($wp_customize, "p_color_sv", [
            "label" => __("Change the color of all p tags", "sophia-valeria"),
            "description" => __(
                "Using this option you can change the color of all p tags",
                "sophia-valeria"
            ),
            "settings" => "p_color_sv_setting",
            "priority" => 90,
            "section" => "sophia_valeria_options",
            "type" => "select",
            "choices" => [
                "white" => "white",
                "black" => "black",
                "green" => "green",
                "pink" => "pink",
                "blue" => "blue",
                "grey" => "grey",
                "red" => "red",
                "silver" => "silver",
                "purple" => "purple",
                "brown" => "brown",
                "orange" => "orange",
            ],
        ])
    );

    //add setting to change font for headings only
    $wp_customize->add_setting("headings_font_sv_setting", [
        "default" => "acumin-pro",
        "type" => "theme_mod",
        "capability" => "edit_theme_options",
        "sanitize_callback" => "sv_sanitize_css",
    ]);

    //add control to change font for headings only
    $wp_customize->add_control(
        new WP_Customize_Control($wp_customize, "headings_font_sv_setting", [
            "label" => __("Headlines Font", "sophia-valeria"),
            "description" => __(
                "Using this option you can change the font for all headline headings",
                "sophia-valeria"
            ),
            "settings" => "headings_font_sv_setting",
            "priority" => 98,
            "section" => "sophia_valeria_options",
            "type" => "select",
            "choices" => [
                "acumin-pro" => "Acumin-Pro",
                "philosopher" => "Philosopher",
                "utopia-std-headline" => "Utopia",
                "myriad-pro" => "Myriad",
                "roboto" => "Roboto",
                "poppins" => "Poppins",
                "dancing-script" => "Dancing Script",
                "source-serif-pro" => "Wedding",
                "source-serif-4" => "Champagne",
                "statik" => "statik",
            ],
        ])
    );

    //setting for changing the thickness of the font
    $wp_customize->add_setting("font_thickness_sv_setting", [
        "default" => "100",
        "type" => "theme_mod",
        "capability" => "edit_theme_options",
        "sanitize_callback" => "sv_sanitize_css",
    ]);

    //select sanitization function
    function sv_sanitize_select($input, $setting)
    {
        $input = sanitize_key($input);

        //get the list of possible select options
        $choices = $setting->manager->get_control($setting->id)->choices;

        return array_key_exists($input, $choices) ? $input : $setting->default;
    }

    //control for changing the thickness of the font
    $wp_customize->add_control(
        new WP_Customize_Control($wp_customize, "font_thickness_sv_setting", [
            "label" => __("Font Thickness", "sophia-valeria"),
            "description" => __(
                "Using this option you can change the sitewide body-content font thickness",
                "sophia-valeria"
            ),
            "settings" => "font_thickness_sv_setting",
            "priority" => 90,
            "section" => "sophia_valeria_options",
            "type" => "select",
            "choices" => [
                "100" => "1.5",
                "200" => "1.6",
                "300" => "1.7",
                "400" => "1.8",
                "500" => "2.0",
                "600" => "3.0",
                "700" => "4.0",
            ],
        ])
    );
}

add_action("customize_register", "sophia_valeria_customize");


function sophia_valeria_font_thickness_css()
{
    ?>
     <style>
     body
{
      font-weight: <?php echo esc_html(
          get_theme_mod("font_thickness_sv_setting")
      ); ?> ;
}
       </style>
       <?php
}
add_action("wp_head", "sophia_valeria_font_thickness_css");

function sophia_valeria_headline_font_html()
{
    ?>
   <style type="text/css">
   h1, h2, h3, h4, h5, h6 {
    font-family: <?php echo esc_html(
        get_theme_mod("headings_font_sv_setting")
    ); ?> !important;
   }
   </style>
   <?php
}

add_action("wp_head", "sophia_valeria_headline_font_html");


function sv_customize_menu_fonts()
{
    ?>
         <style>
            #primary-menu { font-family: <?php echo esc_html(
                get_theme_mod("menu_font", "acumin-pro")
            ); ?>;
}
</style>
    <?php
}
add_action("wp_head", "sv_customize_menu_fonts");







function sophia_valeria_customize1_css()
{
    ?>
         <style type="text/css">
             p {
                 color: <?php echo esc_html(
                     get_theme_mod("p_color_sv_setting", "black")
                 ); ?>;
             }
         </style>
    <?php
}
add_action("wp_head", "sophia_valeria_customize1_css");
  



# enqueue all fonts.
function sv_add_fonts()
{
    # adds fonts to theme.
    if (get_theme_mod("typography_sv_setting") == "acumin-pro") {
        wp_enqueue_style("acumin-pro", "https://use.typekit.net/vnl7erz.css");
    }
    if (get_theme_mod("typography_sv_setting") == "philosopher") {
        wp_enqueue_style("philosopher", "https://use.typekit.net/vnl7erz.css");
    }
    if (get_theme_mod("typography_sv_setting") == "utopia-std-headline") {
        wp_enqueue_style(
            "utopia-std-headline",
            "https://use.typekit.net/vnl7erz.css"
        );
    }
    if (get_theme_mod("typography_sv_setting") == "myriad-pro") {
        wp_enqueue_style("myriad-pro", "https://use.typekit.net/vnl7erz.css");
    }
    if (get_theme_mod("typography_sv_setting") == "roboto") {
        wp_enqueue_style(
            "Roboto",
            "https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap"
        );
    }
    if (get_theme_mod("typography_sv_setting") == "poppins") {
        wp_enqueue_style(
            "Poppins",
            "https://fonts.googleapis.com/css2?family=Poppins:ital,wght@1,100&display=swap"
        );
    }
    if (get_theme_mod("typography_sv_setting") == "dancing-script") {
        wp_enqueue_style(
            "Dancing Script",
            "https://fonts.googleapis.com/css2?family=Dancing+Script&family=Inconsolata:wght@300&family=Poppins:ital,wght@1,100&display=swap"
        );
    }
    if (get_theme_mod("typography_sv_setting") == "source-serif-pro") {
        wp_enqueue_style(
            "source-serif-pro",
            "https://use.typekit.net/vnl7erz.css"
        );
    }
    if (get_theme_mod("typography_sv_setting") == "source-serif-4") {
        wp_enqueue_style(
            "source-serif-4",
            "https://use.typekit.net/vnl7erz.css"
        );
    }
}

add_action("wp_enqueue_scripts", "sv_add_fonts");

function sv_customize_fonts()
{
    ?>
         <style>
             h1, h2, h3, h4, h5, button, input,
				optgroup, textarea,
					select,

p { font-family: <?php echo esc_html__(
    get_theme_mod("typography_sv_setting", "acumin-pro")
); ?>;
}
</style>
    <?php
}
add_action("wp_head", "sv_customize_fonts");



// removes wordpress background feature.
function my_child_theme_setup()
{
    global $_wp_theme_features;
    unset($_wp_theme_features["custom-background"]);
}

add_action("after_setup_theme", "my_child_theme_setup");


// removes color customizer feature.
function sophia_remove_register($wp_customize)
{
    $wp_customize->remove_section("colors");
}

add_action("customize_register", "sophia_remove_register");


function register_background_styles()
{
    wp_register_style(
        "default_bg",
        get_stylesheet_directory_uri() . "/css/third.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "second_bg",
        get_stylesheet_directory_uri() . "/css/test2.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "pallette",
        get_template_directory_uri() . "/css/pallette.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "minus_bg",
        get_template_directory_uri() . "/css/test3.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "black",
        get_template_directory_uri() . "/css/black.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "nice",
        get_template_directory_uri() . "/css/nice.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "starry",
        get_template_directory_uri() . "/css/starry_bg.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "pantone_g",
        get_template_directory_uri() . "/css/pantone_green.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "blue_flames",
        get_template_directory_uri() . "/css/blue_flames.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "angry_clouds",
        get_template_directory_uri() . "/css/angry_clouds.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "girl_back",
        get_template_directory_uri() . "/css/girl_back.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "great_barrier",
        get_template_directory_uri() . "/css/great_barrier.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "hippy_balls",
        get_template_directory_uri() . "/css/hippy_balls.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "green_energy",
        get_template_directory_uri() . "/css/green_energy.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "orbs",
        get_template_directory_uri() . "/css/back_79.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "paint",
        get_template_directory_uri() . "/css/bg_46.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "insecure",
        get_template_directory_uri() . "/css/insecure.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "window",
        get_template_directory_uri() . "/css/window.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "green",
        get_template_directory_uri() . "/css/green.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "mouge",
        get_template_directory_uri() . "/css/mouge.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "red",
        get_template_directory_uri() . "/css/red.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "much",
        get_template_directory_uri() . "/css/too_much.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "night_out",
        get_template_directory_uri() . "/css/night_out.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "dots",
        get_template_directory_uri() . "/css/dots.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "blue_trend",
        get_template_directory_uri() . "/css/blue_trend.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "light_show",
        get_template_directory_uri() . "/css/light_show.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "soft_blue",
        get_template_directory_uri() . "/css/soft_blue.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "half_mask",
        get_template_directory_uri() . "/css/half_mask.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "star_field",
        get_template_directory_uri() . "/css/star_field.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "true_sky",
        get_template_directory_uri() . "/css/true_sky.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "soft_mask",
        get_template_directory_uri() . "/css/soft_mask.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "santlas",
        get_template_directory_uri() . "/css/santlas.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "puff",
        get_template_directory_uri() . "/css/puff.css",
        [],
        "1.0.0",
        "all"
    );
    wp_register_style(
        "white",
        get_template_directory_uri() . "/css/white.css",
        [],
        "1.0.0",
        "all"
        );
    wp_register_style(
        "electric_3d",
        get_template_directory_uri() . "/css/electric_3d.css",
        [],
        "1.0.0",
        "all"
    );

}
add_action("wp_enqueue_scripts", "register_background_styles");


add_action("customize_register", "sophia_valeria_customize_bg");

function sophia_valeria_customize_bg($wp_customize)
{
    $wp_customize->add_section("sophia_valeria_bg_options", [
        "title" => __("Background Options", "sophia-valeria"),
        "priority" => 35,
        "capability" => "edit_theme_options",
        "description" => __(
            "Customize background color.",
            "sophia-valeria"
        ),
    ]);

    $wp_customize->add_setting("bg_sv_setting", [
        "default" => "",
        "type" => "theme_mod",
        "capability" => "edit_theme_options",
        "sanitize_callback" => "background_san",
    ]);

    function background_san($input, $setting)
    {
        $input = sanitize_key($input);
        $choices = $setting->manager->get_control($setting->id)->choices;
        return array_key_exists($input, $choices) ? $input : $setting->default;
    }

    $wp_customize->add_control(
        new WP_Customize_Control($wp_customize, "bg_sv_setting", [
            "label" => __("Change Background Color", "sophia-valeria"),
            "description" => __(
                "Using this option you can change the background color of your site",
                "sophia-valeria"
            ),
            "settings" => "bg_sv_setting",
            "priority" => 15,
            "section" => "sophia_valeria_bg_options",
            "type" => "select",
            "choices" => [
                "default_bg" => "Default",
                "white" => "white",
                "second_bg" => "Purple Masking",
                "minus_bg" => "Vittoria",
                "black" => "Black",
                "green" => "Green",
                "red" => "Red",
                "pallette" => "Pallette",
                "nice" => "Nice one",
                "pantone_g" => "Pantone Green",
                "starry" => "Star Corners",
                "blue_flames" => "Blue Flames",
                "angry_clouds" => "angry_clouds",
                "girl_back" => "Girl",
                "great_barrier" => "Barrier",
                "hippy_balls" => "Hippy Yarn",
                "green_energy" => "Green Energy",
                "orbs" => "Orbs",
                "paint" => "Paint",
                "insecure" => "Insecure",
                "dots" => "Dots",
                "window" => "Red Window",
                "mouge" => "mouge",
                "much" => "Too Much Fun",
                "night_out" => "Night Out",
                "blue_trend" => "Blue Trend",
                "light_show" => "Light Show",
                "soft_blue" => "Soft blue",
                "half_mask" => "Half mask",
                "star_field" => "Star field",
                "true_sky" => "True sky",
                "soft_mask" => "Soft mask",
                "santlas" => "Santlass",
                "puff" => "Puff",
                "electric_3d" => "Electric 3D",

            ],
        ])
    );
}


function enqueue_background_styles()
{
    $bg = get_theme_mod("bg_sv_setting");
    if ($bg == "default_bg") {
        wp_enqueue_style("default_bg");
    }
    if ($bg == "second_bg") {
        wp_enqueue_style("second_bg");
    }
    if ($bg == "minus_bg") {
        wp_enqueue_style("minus_bg");
    }
    if ($bg == "cool_blue") {
        wp_enqueue_style("cool_blue");
    }
    if ($bg == "black") {
        wp_enqueue_style("black");
    }
    if ($bg == "pallette") {
        wp_enqueue_style("pallette");
    }
    if ($bg == "nice") {
        wp_enqueue_style("nice");
    }
    if ($bg == "starry") {
        wp_enqueue_style("starry");
    }
    if ($bg == "pantone_g") {
        wp_enqueue_style("pantone_g");
    }
    if ($bg == "blue_flames") {
        wp_enqueue_style("blue_flames");
    }
    if ($bg == "angry_clouds") {
        wp_enqueue_style("angry_clouds");
    }
    if ($bg == "girl_back") {
        wp_enqueue_style("girl_back");
    }
    if ($bg == "great_barrier") {
        wp_enqueue_style("great_barrier");
    }
    if ($bg == "hippy_balls") {
        wp_enqueue_style("hippy_balls");
    }
    if ($bg == "green_energy") {
        wp_enqueue_style("green_energy");
    }
    if ($bg == "orbs") {
        wp_enqueue_style("orbs");
    }
    if ($bg == "paint") {
        wp_enqueue_style("paint");
    }
    if ($bg == "insecure") {
        wp_enqueue_style("insecure");
    }
    if ($bg == "dots") {
        wp_enqueue_style("dots");
    }
    if ($bg == "window") {
        wp_enqueue_style("window");
    }
    if ($bg == "green") {
        wp_enqueue_style("green");
    }
    if ($bg == "mouge") {
        wp_enqueue_style("mouge");
    }
    if ($bg == "red") {
        wp_enqueue_style("red");
    }
    if ($bg == "much") {
        wp_enqueue_style("much");
    }
    if ($bg == "night_out") {
        wp_enqueue_style("night_out");
    }
    if ($bg == "blue_trend") {
        wp_enqueue_style("blue_trend");
    }
    if ($bg == "light_show") {
        wp_enqueue_style("light_show");
    }
    if ($bg == "soft_blue") {
        wp_enqueue_style("soft_blue");
    }
    if ($bg == "half_mask") {
        wp_enqueue_style("half_mask");
    }
    if ($bg == "star_field") {
        wp_enqueue_style("star_field");
    }
    if ($bg == "true_sky") {
        wp_enqueue_style("true_sky");
    }
    if ($bg == "soft_mask") {
        wp_enqueue_style("soft_mask");
    }
    if ($bg == "santlas") {
        wp_enqueue_style("santlas");
    }
    if ($bg == "puff") {
        wp_enqueue_style("puff");
    }
    if ($bg == "white") {
        wp_enqueue_style("white");
    }
    if ($bg == "electric_3d") {
        wp_enqueue_style("electric_3d");
    }
}

add_action("wp_enqueue_scripts", "enqueue_background_styles");


add_action("init", "register_heading_pattern");

function register_heading_pattern()
{
    $new_pattern_block = '<!-- wp:heading {"textAlign":"center","level":1} -->
<h1 class="has-text-align-center">This is the heading.</h1>
<!-- /wp:heading -->

<!-- wp:cover {"url":"http://localhost:777/wordpress-5.8/wordpress/wp-content/uploads/2021/12/big_sexy.png","id":2160,"isRepeated":true,"className":"is-style-my-cover-circular is-style-default"} -->
<div class="wp-block-cover has-background-dim is-repeated is-style-my-cover-circular is-style-default" style="background-image:url(http://localhost:777/wordpress-5.8/wordpress/wp-content/uploads/2021/12/big_sexy.png)"><div class="wp-block-cover__inner-container"><!-- wp:paragraph {"align":"center","placeholder":"Write title…","fontSize":"large"} -->
<p class="has-text-align-center has-large-font-size">This is the cover area.</p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:cover -->

<!-- wp:heading {"textAlign":"center"} -->
<h2 class="has-text-align-center">This is an H2 heading.</h2>
<!-- /wp:heading -->

<!-- wp:group -->
<div class="wp-block-group"><!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column {"width":"100%"} -->
<div class="wp-block-column" style="flex-basis:100%"><!-- wp:gallery {"ids":[2025,2040],"linkTo":"none","align":"center"} -->
<figure class="wp-block-gallery aligncenter columns-2 is-cropped"><ul class="blocks-gallery-grid"><li class="blocks-gallery-item"><figure><img src="http://localhost:777/wordpress-5.8/wordpress/wp-content/uploads/2021/11/design21.png" alt="" data-id="2025" data-full-url="http://localhost:777/wordpress-5.8/wordpress/wp-content/uploads/2021/11/design21.png" data-link="http://localhost:777/wordpress-5.8/wordpress/design-rules/design21/" class="wp-image-2025"/></figure></li><li class="blocks-gallery-item"><figure><img src="http://localhost:777/wordpress-5.8/wordpress/wp-content/uploads/2021/11/creativity21.png" alt="" data-id="2040" data-full-url="http://localhost:777/wordpress-5.8/wordpress/wp-content/uploads/2021/11/creativity21.png" data-link="http://localhost:777/wordpress-5.8/wordpress/design-rules/creativity21/" class="wp-image-2040"/></figure></li></ul></figure>
<!-- /wp:gallery --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:group -->';
    register_block_pattern("wholesomecode/example-block-pattern", [
        "categories" => ["text"],
        "content" => $new_pattern_block,
        "description" => "Heading/Image pattern #1",
        "keywords" => "block pattern",
        "title" => "Heading/Image Block Pattern",
        "viewportWidth" => 1200,
    ]);
}


//adds custom logo to dashboard
function wpb_custom_logo()
{
    echo '
    <style type="text/css">
    #wpadminbar #wp-admin-bar-wp-logo > .ab-item .ab-icon:before {
    background-image: url(' .
        get_stylesheet_directory_uri("stylesheet_directory") .
        '/images/sv_logo_99.png) !important;
background-position: 0 0;
color:rgba(0, 0, 0, 0);
}
#wpadminbar #wp-admin-bar-wp-logo.hover > .ab-item .ab-icon {
background-position: 0 0;
}
</style>
';
}

add_action("wp_before_admin_bar_render", "wpb_custom_logo");

// adds custom logo to the login page
function wpdev_filter_login_head()
{
    if (has_custom_logo()):
        $image = wp_get_attachment_image_src(
            get_theme_mod("custom_logo"),
            "full"
        ); ?>
        <style type="text/css">
            .login h1 a {
                background-image: url(<?php echo esc_url($image[0]); ?>);
                -webkit-background-size: <?php echo absint($image[1]); ?>px;
                background-size: <?php echo absint($image[1]); ?>px;
                height: <?php echo absint($image[2]); ?>px;
                width: <?php echo absint($image[1]); ?>px;
            }
        </style>
        <?php
    endif;
}

add_action("login_head", "wpdev_filter_login_head", 100);

function add_login_css()
{
    ?>
    <style>
.login h1 a{
    margin-left:-75px;
    </style>
}<?php
}
add_action("login_head", "add_login_css");

// replaces wordpress.org link with your homepage link on login page.
function new_wp_login_url()
{
    return home_url();
}
add_filter("login_headerurl", "new_wp_login_url");

//adds dogecoin admin dashboard widget
function new_dashboard_widget_func()
{
    ?>
    <div class="crypto-ticker">
   <script type="text/javascript" src="https://files.coinmarketcap.com/static/widget/currency.js"></script>
   <div class="coinmarketcap-currency-widget" data-currencyid="74" data-base="USD" data-secondary="" data-ticker="true" data-rank="true" data-marketcap="true" data-volume="true" data-statsticker="true" data-stats="USD"></div>
   </div>
<?php
}

function wpdocs_add_dashboard_widgets()
{
    wp_add_dashboard_widget(
        "dashboard_widget",
        "Doge Dashboard Widget",
        "new_dashboard_widget_func"
    );
}
add_action("wp_dashboard_setup", "wpdocs_add_dashboard_widgets");




function comment_text_centered()
{
    //moves comment text to the center.
    ?>
    <style>
    .comment-form-comment{
        text-align:center;
    }
    </style>
    <?php
}
add_action("wp_head", "comment_text_centered");

function comment_button_centered()
{
    //centers comment form button.
    ?>
    <style>
    button, input[type="button"], input[type="reset"], input[type="submit"], .form-submit
    {
        text-align:center;
    }
    </style>
    <?php
}
add_action("wp_head", "comment_button_centered");


function add_space_to_login_links()
{
    //add space between login links
    ?>
    <style>
        .logged-in-as a{
            margin-right:45px;
            margin-left:50px;
        }
    </style>
    
    <?php
}
add_action("wp_head", "add_space_to_login_links");

//adds retina support
function add_retina_support()
{
    wp_enqueue_script(
        "retina",
        get_template_directory_uri() . "/js/retina.js",
        [],
        _S_VERSION,
        true
    ); ?>
    	<script type="text/javascript" src="wp-content/themes/sophia-valeria/js/retina.js"></script>
    	<?php
}
add_action("wp_head", "add_retina_support");




//add new section for customizer to change text for .typed-out p tag
function sv_customize_register($wp_customize)
{
    $wp_customize->add_section("sv_typed_out_section", [
        "title" => __("Typed Out Text", "sophia-valeria"),
        "description" => sprintf(
            __("Options for the Typed Out Text. (Only works for front page currently.)", "sophia-valeria")
        ),
        "priority" => 130,
    ]);
    $wp_customize->add_setting("typed_out_text", [
        "default" => '',
        "type" => "theme_mod",
        "sanitize_callback" => "sv_sanitize_typed",
    ]);

   

    $wp_customize->add_control("typed_out_text", [
        "label" => __("Typed Out Text (for above header section at top of page)", "sophia-valeria"),
        "section" => "sv_typed_out_section",
        "priority" => 1,
        "type" => "textarea",

    ]);

    //add new section for customizer to change text for .typed-out FOOTER tag

    /*
    $wp_customize->add_setting('typed_out_footer', array(
        'type' => 'theme_mod'
    ));
    $wp_customize->add_control('typed_out_footer', array(
        'label' => __('Typed Out Text for Footer section', 'sophia-valeria'),
        'section' => 'sv_typed_out_section',
        'priority' => 22,
        // type-select, choices-array
    )); */
    
    $wp_customize->add_setting("typed_out_under", [
        "default" => '',
        "type" => "theme_mod",
        "sanitize_callback" => "sv_sanitize_typed",
    ]);

    function sv_sanitize_typed($input)
    {
        $output = sanitize_text_field($input);
        return $output;
    }

   

    $wp_customize->add_control("typed_out_under", [
        "label" => __("Sweeping Title", "sophia-valeria"),
        "section" => "sv_typed_out_section",
        "priority" => 3,
        // type-select, choices-array
    ]);
    
    $wp_customize->add_setting("typed_color", [
        "default" => '',
        "type" => "theme_mod",
        "sanitize_callback" => "sv_sanitize_typed",
       
    ]);

   

    $wp_customize->add_control("typed_color", [
        "label" => __("Text Color", "sophia-valeria"),
        "section" => "sv_typed_out_section",
        "priority" => 66,
        'type' => 'select',
        'choices' => array(
            'black' => 'black',
            'white' => 'white',
            'pink' => 'pink',
            'silver' => 'silver',
			'red'   => 'red',
			'green' => 'green',
			'blue' => 'blue',
			'gray' => 'gray',
			'orange' => 'orange',
			'brown' => 'brown',
			'yellow' => 'yellow',
            
            
            )
        // type-select, choices-array
    ]);


    
    
    
}
add_action("customize_register", "sv_customize_register");



//css for typed-out text option.
function insert_blink_header()
{
    //this function needs to be moved to index or merged with insert_blink_header
	if (get_theme_mod(esc_html("typed_out_text")) == false) {
        return "";
    }
    if (is_front_page()) { ?>
    
    <div class='container' style="height: 125px; width:100%; background-color: transparent !important;">


      <p class="typed-out"><?php echo esc_html(
          get_theme_mod("typed_out_text")
      ); ?></p>
      

</div>

<style>
  .feeter {
            position: fixed;
            bottom: 0;
            width: 100%;
        }
        
        .feeter {
            color: pink;
            padding: 10px;
        }
        
      body{

        background-size: cover;
        background-color:transparent;
        font-family: 'Trebuchet MS', sans-serif;
      }

    .typed-out {
  overflow: hidden;
  border-right: .99em solid white;
  font-size: 1.6rem;
  width: 0;
  color:<?php echo esc_attr(get_theme_mod('typed_color'));?>;
  margin-top:45px;
  text-align: center;
  white-space: nowrap;
  animation: typing 3s forwards;
  padding-bottom:10px;
  padding-left:60px;
}

.container {
  display: inline;
  overflow: hidden;
}

@keyframes typing {
  from { width: 0 }
  to { width: 95% }
}




</style>

    <?php }
}

add_action("wp_head", "insert_blink_header");


/* 
*
*
*Begins section outside of theme files, site-specific.
*
*
*/


remove_filter( 'admin_head', 'wp_check_widget_editor_deps' );
    


/*----------------video header------------------------------------------------------*/


function video_header(){
		if(is_front_page()){
            $video_url = esc_url(get_theme_mod( 'video_header_setting' ));
              if ( $video_url ) {
        echo '<video-head class="vidz">';
        echo '<video autoplay="" loop="" muted="" playsinline poster="https://www.rodisoftware.com/trendy.png" disablePictureInPicture="true">';
        echo '<style> .vidz, video{
      object-fit: cover;
       position: absolute;
        top: 0;
         right:0;
          height: 630px;
           width: 100%;</style>';
        echo '<style>.vidz {width:1800px;} </style>';
         echo '<style>.vidz {min-height: 100%; height:640px;  } </style>';
		echo '<source src="' . $video_url . '" type="video/mp4">';
		echo '<style>video-head {z-index:-1;} </style>';
		echo '</video>';
		echo '</video-head>';}}
}



/*----------------video background------------------------------------------------------*/



function video_back(){
		if(is_front_page()){
            $video_url = esc_url(get_theme_mod( 'video_header_url' ));
              if ( $video_url ) {
        echo '<video-header class="vidz">';
        echo '<video autoplay="" loop="" muted="" playsinline poster="https://www.rodisoftware.com/trendy.png" disablePictureInPicture="true">';
        echo '<style> .vidz, video{
      object-fit: cover;
       position: absolute;
        top: 0;
         right:0;
         bottom:0px;
          height: 100%;
           width: 100%;</style>';
        echo '<style>.vidz {width:1800px;} </style>';
         echo '<style>.vidz {min-height: 100%;  } </style>';
         echo "<style> .vidz {height:" . get_theme_mod('video_bg_height') . "px;} </style>";
		echo '<source src="' . $video_url . '" type="video/mp4">';
		echo '<style>video-header {z-index:-1;} </style>';
		echo '</video>';
		echo '</video-header>';}}
}


/*----------------social media menu hardwired in------------------------------------------------------*/

	function sv_social_media(){
	    ?>
	    <div class="social-menu">
    <nav class="social-menu-wrapper" aria-label="Horizontal" role="Navigation">
        <ul class="social-menu reset-list-style">
            <li id="menu-item-155" class="menu-it menu-item-type-post menu-item-object-page">
                <a href="https://www.facebook.com/john.rodi.79">
                <img class="fbook" src="wp-content/themes/sophia-valeria/images/f_logo.png"></a>
            </li>
            <li id="menu-item-156" class="menu-it menu-item-type-post menu-item-object-page">
                <a href="https://twitter.com/johnrodi7">
            <img class="twitter" src="wp-content/themes/sophia-valeria/images/tweety.png"></a></li>
            <li id="menu-item-157" class="menu-it menu-item-type-post menu-item-object-page">
                <a href= "https://www.linkedin.com/in/john-rodi-b530691b8/">
            <img class="linked-in" src="wp-content/themes/sophia-valeria/images/linkedin-white.png"></a></li>
    </nav>
        </ul>
</div> <?php
	}	
	
	
	
	
/*----------------slider------------------------------------------------------*/



function sv_slider_section($wp_customize){

    $wp_customize->add_section('sv_slider_section', array(
        'title' => 'Slider',
        'priority' => 30,
        'description' => 'Slider section',
        "capability" => "edit_theme_options",
    ));
    
     $wp_customize->add_setting('sv_slide_on', array(
        'default' => null,
        'transport' => 'refresh',
        "capability" => "edit_theme_options",
        'sanitize_callback' => 'esc_url_raw2',
    ));

    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'sv_slide_on', array(
        'label' => 'Slider on/off',
        'section' => 'sv_slider_section',
        'settings' => 'sv_slide_on',
        'type' => 'checkbox',
        
    )));

    $wp_customize->add_setting('sv_slide_one', array(
        'default' => null,
        'transport' => 'refresh',
        "capability" => "edit_theme_options",
        'sanitize_callback' => 'esc_url_raw2',
    ));

    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'sv_slide_one', array(
        'label' => 'Slider Image One',
        'section' => 'sv_slider_section',
        'settings' => 'sv_slide_one',
        
    )));

    $wp_customize->add_setting('sv_slide_two', array(
        'default' => null,
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw2',

    ));

    function esc_url_raw2($url){
        return esc_url($url);
    }

    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'sv_slide_two', array(
        'label' => 'Second Image',
        'section' => 'sv_slider_section',
        'settings' => 'sv_slide_two'
    )));

    $wp_customize->add_setting('sv_slide_three', array(
        'default' => null,
        'transport' => 'refresh',
        'sanitize_callback' => 'esc_url_raw2',
    ));

    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'sv_slide_three', array(
        'label' => 'Third Image',
        'section' => 'sv_slider_section',
        'settings' => 'sv_slide_three',
        
    )));

}

add_action('customize_register', 'sv_slider_section');






function sv_html_slider(){
    
    if (is_front_page() == 1){

?>
<center>
<section class="sv_slider">


  <style>
      .sv_slider{
          height:450px;
          width:100%;
          width:900px;
          background-color:black;
          
      }
  
     .slider-one,
       .slider-two,
         .slider-three{
             height:400px;
             width:100%;
             
     }
     
     .slider-two{
         padding-right:7px;
     }
     
    
  
  
      #slider {
        width: 100%;
        height: 100%;
        margin: 0 auto;
        border: 15px solid transparent;
        padding: 0px;
        z-index: 100;
        overflow: hidden;
        white-space: nowrap;
        box-sizing: border-box;
      }
      
      #slider > li {
        width: 100%;
        height: 100%;
        padding:5px;
        position: relative;
        display: inline-block;
        overflow: hidden;
        font-size: 15px;
        font-size: initial;
        line-height: normal;
        transition: all 0.5s cubic-bezier(0.4, 1.3, 0.65, 1); /* Slide css animation */
        background-size: cover;
        vertical-align: top;
        box-sizing: border-box;
        white-space: normal;
        margin-right:3px;
      }
    </style>
    
      
    <ul id="slider">
        
      <li>
          <a href="https://litemint.com/items/GDTQQTYCCHBVSMG3CFIPVW77FPHK6G2IJCCC6KUBQPB6MF2J6E7OZXTD/NFT">
          <img class="slider-one" src="<?php echo esc_url(get_theme_mod('sv_slide_one')); ?>">
          </a>
      </li>
      
      <li>
          <a href="https://litemint.com/u/btg7d7">
          <img class="slider-two" src="<?php echo esc_url(get_theme_mod('sv_slide_two')); ?>">
           </a>
      </li>
      <li>
          <a href="https://litemint.com/u/btg7d7">
        <img class="slider-three" src="<?php echo esc_url(get_theme_mod('sv_slide_three')); ?>">
        </a>
      </li>
    </ul>
    
    
    <script>
      // Slide every slideDelay seconds
      const slideDelay = 3000;

      const dynamicSlider = document.getElementById("slider");

      var curSlide = 0;
      window.setInterval(()=>{
        curSlide++;
        if (curSlide === dynamicSlider.childElementCount) {
          curSlide = 0;
        }

        // Actual slide
        dynamicSlider.firstElementChild.style.setProperty("margin-left", "-" + curSlide + "00%");
      }, slideDelay);

    </script>
    
    </section>
    </center>
    
    <?php
    
    }
    
}


  
//activates slider if control is set to on.       
if ( get_theme_mod('sv_slide_on') == '1' ){
    add_action('wp_footer', 'sv_html_slider');
}

/*
add_filter('upload_mimes', 'custom_upload_mimes');
function custom_upload_mimes ( $existing_mimes=array() ) {
    // add your extension to the mimes array as below
    $existing_mimes['zip'] = 'application/zip';
    $existing_mimes['gz'] = 'application/x-gzip';
    return $existing_mimes;
}
*/

  function rodi_tech_widget(){
        ?>
        <div class="rodi-tech-widget">
            <a href="https://rodi.tech/">
                <img src="<?php echo esc_url(get_template_directory_uri()) . "/images/rodi-tech-logo.png"; ?>" alt="Rodi Tech Logo">
            </a>
            <a href="https://sophiavaleria.space/">
                <img src="<?php echo esc_url(get_template_directory_uri()) . "/images/sophia-valeria-logo.png"; ?>" alt="Sophia Valeria Logo">
            </a>
        </div>
        <?php
    }
    add_action("admin_post_bug_report_form", "rodi_tech_widget");
    //add_action("widgits_init", "rodi_tech_widget");

    
    
//fixes menu bug not centering correctly
function center_menu() {
    wp_register_style(
        "center-menu",
        get_stylesheet_directory_uri() . "/css/center-menu.css",
        [], 
        "1.0.0",
        "all"
    );

    wp_enqueue_style( 'center-menu' );

}
add_action('wp_head', 'center_menu');

//adds padding-top to logo
function logo_padding() {
   wp_register_style(
        "logo-padding",
        get_stylesheet_directory_uri() . "/css/logo-padding.css",
        [], 
        "1.0.0",
        "all"
    );

    wp_enqueue_style( 'logo-padding' );
}
add_action('wp_head', 'logo_padding');


//if is a post, then show page title
function show_page_title() {
if ( is_single() ) {
    wp_register_style(
        "show-page-title",
    get_stylesheet_directory_uri() . "/css/show-page-title.css",
        [], 
        "1.0.0",
        "all"
    );

    wp_enqueue_style( 'show-page-title' );

   
}
}

add_action('wp_head', 'show_page_title');


//if it is a post, then remove all padding from title, tagline and custom logo
function remove_padding() {
if ( is_single() ) {

    wp_register_style(
        "no-pad",
    get_stylesheet_directory_uri() . "/css/no-pad.css",
        [],
        "1.0.0",
        "all"
    );

    wp_enqueue_style( 'no-pad' );
    
}
}

add_action('wp_head', 'remove_padding');





//make the logo spin one time only
function spinning_logo() {
    echo '<style type="text/css">
    .site-branding img {
        animation: spinning-logo 1s;
    }
    @keyframes spinning-logo {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg);
        }
    }
    </style>';
}
//add_action('wp_head', 'spinning_logo');

//use javascript to play a sound when the page loads
//when the user hovers over the logo, a hidden image appears and the logo disappears


//makes whole logo/title/tagline quick jig
function dancing_logo() {
    echo '<style type="text/css">
    .site-branding {
        animation: dancing-logo 2s;
    }
    @keyframes dancing-logo {
        0% {
            transform: rotate(0deg);
        }
        50% {
            transform: rotate(10deg);
        }
        100% {
            transform: rotate(0deg);
        }
    }
    </style>';
}
//add_action('wp_head', 'dancing_logo');



//make a bug report dashboard widget that is different from the one below, which does not work.

function bug_reporting_widget()
{
    wp_add_dashboard_widget(
        'bug_reporting_widget',
        'Bug Reporting',
        'bug_reporting_form'
    );
}

add_action('wp_dashboard_setup', 'bug_reporting_widget');

//create form for bug report
function bug_reporting_form()
{
    ?>
    <form target="_self" class="bug-reporting-form-container" 
    action="<?php echo admin_url('admin-post.php'); ?>" 
    method="POST" 	
   >
        <input type="hidden" name="action" value="bug_reporting_form">
        <input class="titlearea" type="text" name="bug_title" placeholder="Title">
        <br>
        <textarea class="tarea" name="bug_report" placeholder="Describe your bug"></textarea><br>
        <input class="submission" target="_self" type="submit" value="Submit" >
        
    </form>

    <style>
        .bug-reporting-form-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            width: 100%;
            height: 100%;
          
        }
        .titlearea {
            width: 99%;
            height: 50px;
            border: 1px solid #ccc;
            border-radius: 4px;
            background-color: #fff;
            font-size: 16px;
            padding: 12px 20px;
            box-sizing: border-box;
            margin-top: 6px;
            margin-bottom: 16px;
            resize: vertical;
        }
        .tarea {
            width: 100%;
            height: 150px;
            padding: 12px 20px;
            box-sizing: border-box;
            border: 1px solid #ccc;
            border-radius: 4px;
            background-color: #fff;
            font-size: 16px;
            resize: none;
        }

        .submission{
            width: 100%;
            background-color: #4CAF50;
            color: white;
            padding: 14px 20px;
            margin: 8px 0;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            font-size: 16px;

            margin-bottom: 10px;
        }
    </style>




    <?php
     
}

//create a function to handle the form submission
function form_handler(){
    //check if the form is submitted
    if (isset($_POST['bug_title']) && isset($_POST['bug_report'])){
        //get the form data
        $bug_title = sanitize_text_field($_POST['bug_title']);
        $bug_report = sanitize_text_field($_POST['bug_report']);
        //save the data in the database
        $bug_report_id = wp_insert_post(array(
            'post_title' => $bug_title,
            'post_content' => $bug_report,
            'post_status' => 'publish',
            'post_type' => 'bug_report',
        ));

       //send email to rodisoftware@gmail.com, as well
        $to = "rodisoftware@gmail.com";
        $subject = "Bug Report: " . $bug_title;
        $message = $bug_report;
        $headers = array('Content-Type: text/html; charset=UTF-8');

        wp_mail($to, $subject, $message, $headers);

        //redirect to the thank you page
        //wp_redirect(get_permalink( get_page_by_title( 'thanks' ) ));
        exit;
    }


}



add_action('init', 'form_handler');
add_action('admin_post_nopriv_bug_reporting_form', 'form_handler');

  
      function bug_report_form_redirect(){
        if(isset($_POST["action"]) && $_POST["action"] == "bug_report_form"){
            wp_redirect(admin_url("index.php"));
            exit;
        }
    }
    add_action("admin_post_bug_report_form", "bug_report_form_redirect");
    //add_action("admin_post_nopriv_bug_report_form", "bug_report_form_redirect");
    
    function bug_report_widget_message(){
        if(isset($_POST["action"]) && $_POST["action"] == "bug_report_form"){
            ?>
            <div class="bug-report-form-container">
                <p class="success-message">Bug report submitted successfully!</p>
            </div>
            <?php
        }
    }
    add_action("admin_post_bug_report_form", "bug_report_widget_message");

     function sv_localhost_header_bug_fix() {
        if ($_SERVER['HTTP_HOST'] === 'localhost') {
        // Use local CSS file
        echo "
        <style>
        .sv-menu-button{
            top:99px !important;
        
        ";
        }
    }
    add_action('wp_head', 'sv_localhost_header_bug_fix');


    function limit_menu_items( $menu_items, $args ) {
        // Check if the menu location is sv-menu
        if ( $args->theme_location == 'sv-menu' ) {
          // Return only the first 4 items
          return array_slice( $menu_items, 0, 4 );
        }
        // Otherwise return the menu items as they are
        return $menu_items;
      }
      add_filter( 'wp_nav_menu_objects', 'limit_menu_items', 10, 2 );
      


  function remove_duplicate_site_title() {
    $site_title = get_bloginfo( 'name' );
    $header_site_title = '<h1 class="site-title"><a href="' . esc_url( home_url( '/' ) ) . '">' . $site_title . '</a></h1>';
    $salon_header_site_title = '<div class="sv-header"><div class="site-title"><a href="' . esc_url( home_url( '/' ) ) . '">' . $site_title . '</a></div>';
  
    // Check if the site title is already in the salon header
    if ( strpos( get_the_title(), $salon_header_site_title ) !== false ) {
      // Remove the site title from the content
      add_filter( 'the_title', function( $title ) use ( $header_site_title ) {
        return str_replace( $header_site_title, '', $title );
      } );
    }
  }
  add_action( 'wp', 'remove_duplicate_site_title' );


  function sv_enqueue_scripts() {
    wp_register_script( 'sv_load', get_template_directory_uri() . '/js/sv_load.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'sv_load' );

    wp_register_script( 'sv_load2', get_template_directory_uri() . '/js/sv_load_pgd.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'sv_load2' );

    
  }
  add_action( 'wp_enqueue_scripts', 'sv_enqueue_scripts' );


  function sv_social_menu() {
    ?>
    <div class="social-menu">
        <nav class="social-menu-wrapper" aria-label="Horizontal" role="Navigation">
            <ul class="social-menu reset-list-style">
                <li id="menu-item-155" class="menu-it menu-item-type-post menu-item-object-page">
                    <a href="<?php echo esc_url(get_theme_mod('sv_facebook_link_setting'));?>">
                    <img class="fbook" src="<?php echo get_stylesheet_directory_uri(); ?>/images/f_logo.png"></a>
                </li>
                <li id="menu-item-156" class="menu-it menu-item-type-post menu-item-object-page">
                    <a href="<?php echo esc_url(get_theme_mod('sv_twitter_link_setting'));?>">
                    <img class="twitter" src="<?php echo get_stylesheet_directory_uri(); ?>/images/tweety.png"></a>
                </li>
                <li id="menu-item-157" class="menu-it menu-item-type-post menu-item-object-page">
                    <a href= "<?php echo esc_url(get_theme_mod("sv_linkedin_link_setting"));?>">
                    <img class="linked-in" src="<?php echo get_stylesheet_directory_uri(); ?>/images/linkedin-white.png"></a>
                </li>
            </ul>
        </nav>
    </div>

   <style>
    .social-menu {
float:right;
list-style-type: none;
margin: 0;
padding: 0;
overflow: hidden;}



.social-menu li{
float:right;
padding:10px;
padding-right:18px;
}


.linked-in,
.twitter,
.fbook{
height:25px;
width:25px;
}

.social-menu li a{
    color:white;
}

.social-menu li a:hover{
    color:gray;
}

.social-menu li a img{
    height:25px;
    width:25px;
}

</style>


    <?php
}
  

/*
.full-width-text {
  width: 100%;
}

.pgd{
	margin-left:30px;
	margin-right:0px;
	padding-right:0px;
}

.rpgd{
	margin-left:0px;
	padding-left:0px;
}

.wp-block-media-text__content{
	margin-left:0px;
	padding-left:0px !important;
}

.wp-image-74{
	height:550px !important;
	width:620px !important;
	margin-right: 0px;
}
*/

//if salon header, make cover_img.jpeg the default background image
function sv_cover_img() {
    $sv_salon_set = get_theme_mod('sv_salon_header_setting');
    if (is_front_page() == 1 && $sv_salon_set == 1){
        echo '<style type="text/css">
        .sv-header{
            background-image: url(' . get_stylesheet_directory_uri() . '/images/cover_img.jpeg);
        }
        </style>';
    }
}

add_action('wp_head', 'sv_cover_img');