<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Sophia_Valeria
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
 <?php
    // <?php the_custom_header_markup() ?> 
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	
	

	<?php wp_head(); ?>
</head>

<?php
  
   if (get_theme_mod("typed_out_under") == true and is_front_page()) { 
		?>
    <div class='flitter'></div>
    <header class='container' style="height: 125px; width:100%; background-color: transparent;">


      <p class="typed-out2"><u>
      <?php echo esc_html(
          get_theme_mod("typed_out_under")
); 
      ?>
   
      
      
      </p></u>
      </header>
      </div>
	  
	  
	 
<style>

  .site-description{
	  margin-top:-175px;
  }



  .flitter {
            position: fixed;
            bottom: 0;
            width: 100%;
            color: #f1f1f1;
            padding: 10px;
        }
        
      body{
        background-size: cover;
        background-color:;
        font-family: 'Trebuchet MS', sans-serif;
      }

    .typed-out2 {
  overflow: hidden;
  border-right: .15em solid white;
  font-size: 1.6rem;
  width: 0;
  color:<?php echo esc_attr(get_theme_mod('typed_color'));?>;
  margin-top:45px;
  text-align: center;
  
}

.container {
  display: inline-block;
}

@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

.typed-out2{
    overflow: hidden;
    border-right: .15em solid orange;
    white-space: nowrap;
    font-size: 1.6rem;
    width: 0;
    animation: typing 3s forwards;
	  font-size:65px;
	  font-family:acumin-pro;
}

</style> 

<?php } ?>

<body <?php body_class(); ?>>

<?php    
if ( function_exists('wp_body_open')){
	    wp_body_open();
	} else {
	    do_action('wp_body_open');
	}
	?>
	


<?php if ( get_header_image() ) : ?>

    <div id="site-header">
        
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
            <img src="<?php header_image(); ?>" width="<?php echo absint( get_custom_header()->width ); ?>" height="<?php echo absint( get_custom_header()->height ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
        </a>
    </div>
<?php endif; ?>

<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'sophia-valeria' ); ?></a>

	<header id="masthead" class="site-header">
		<div class="site-branding">
		   
			<?php
			the_custom_logo(); 
			
		
			if ( is_front_page() && is_home() ) :
				?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<?php
			else :
				?>
				<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
				<?php
			endif;
			$sophia_valeria_description = get_bloginfo( 'description', 'display' );
			if ( $sophia_valeria_description || is_customize_preview() ) :
				?>
				<p class="site-description"><?php echo $sophia_valeria_description; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></p>
			<?php endif; ?>
		</div><!-- .site-branding -->

		<nav id="site-navigation" class="main-navigation">
   
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Primary Menu', 'sophia-valeria' ); ?></button>
			<?php
			wp_nav_menu(
				array(
					'theme_location' => 'menu-1',
					'menu_id'        => 'primary-menu',
				)
			);
			?>
		</nav><!-- #site-navigation -->
	</header><!-- #masthead -->
