<?php
 
 /*
  copyright notice, link to a privacy policy, sitemap, logo, contact information, social media icons, and an email sign-up form, to the top,
 */

//require get_template_directory() . '/inc/customizer_files/social_media.php';

 function sv_footer_skin_section($wp_customize){
    $wp_customize->add_section('sv_footer_skin_section', array(
        'title' => 'Footer Skin',
        'priority' => 26,
        'description' => 'Select a footer skin',
    ));

    $wp_customize->add_setting('sv_footer_skin_setting', array(
        'default' => '',
        'transport' => 'refresh',
        'sanitize_callback' => 'sv_sanitize_footer_skin',
    ));


    function sv_sanitize_footer_skin($input){
        $valid = array(
            'light' => 'Light mode',
            'dark' => 'Dark mode',
            'powered' => 'Powered By',
            'skinny' => 'Skinny',
            '' => 'Default',
        );
        if(array_key_exists($input, $valid)){
            return $input;
        } else {
            return '';
        }
    }

    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'sv_footer_skin_setting', array(
        'label' => 'Footer Skin',
        'section' => 'sv_footer_skin_section',
        'settings' => 'sv_footer_skin_setting',
        'type' => 'radio',
        'choices' => array(
            'light' => 'Light mode',
            'dark' => 'Dark mode',
            'powered' => 'Powered By',
            'skinny' => 'Skinny',
            '' => 'Default',

        ),
    )));


    $wp_customize->add_setting( 'change_footer_credits_size', array(
        'default'  => 'large',
         'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sv_selection',
        
    ) );
    
    function sv_selection( $input, $setting ){
                $input = sanitize_key($input);
                $choices = $setting->manager->get_control( $setting->id )->choices;
                return ( array_key_exists( $input, $choices ) ? $input : $setting->default );  
    }
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'change_footer_credits_size', array(
        'label'       => esc_html__( 'Make footer credits text bigger or smaller.', 'sophia-valeria' ),
        'description' => esc_html__( 'Change footer credits font size.', 'sophia-valeria' ),
        'section'     => 'sv_footer_skin_section',
        'settings'    => 'change_footer_credits_size',
        'priority'    => 55,
        'type'        => 'select',
        'choices' => array(
         'large' => 'large',
         'x-large' => 'x-large',
         'xx-large' => 'xx-large',
         'medium' => 'medium',
         'small' => 'small',
         'x-small' => 'x-small',
          'xxx-large' => 'xxx-large',
          '4.0em' => 'really big',
           '5.0em' => 'humungous',
          '6.0em' => 'header sized',
        )
    ) ) );

    //create a setting to change the footer text color
$wp_customize->add_setting( 'sv_footer_text_color', array(
    'default'  => 'pink',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hexa_color',
    //'transport' => 'postMessage',
) );

//sanitize the color
function sanitize_hexa_color( $color ) {
    if ( $unhashed = sanitize_hex_color_no_hash( $color ) )
        return '#' . $unhashed;

    return $color;
}


//add a control to change the footer text color
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sv_footer_text_color', array(
    'label' => __( 'Change added Footer area content color.', 'sophia-valeria' ),
	'description' => __('This color cannot always be previewed.', 'sophia-valeria'),
    'section' => 'sv_footer_skin_section',
    'settings' => 'footer_text_color',
    'priority' => 60,
) ) );

/*
$wp_customize->add_setting( 'footer_area_content', array(
    'default'           => '',  //look into this empty!!
    'sanitize_callback' => 'wp_kses_post',
    'capability'        => 'edit_theme_options',
    'type'              => 'theme_mod',
    //'transport'         => 'postMessage',

) );


$wp_customize->add_control( 'footer_area_content', array(
    'label'             => esc_html__( 'Add Footer Area Content', 'sophia-valeria' ),
    'section'           => 'sv_footer_skin_section',
    'type'              => 'textarea',
    'priority'          => 10,
    'settings'          => 'footer_area_content',

) );

*/

    $wp_customize->add_setting('remove_credit', array(
        'default' => '',
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_checkbox_t',
    ) );
    
    
    
    
    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'remove_credit', array(
        'label'       => __( 'Remove footer theme credit.', 'sophia-valeria' ),
        'description' => __('Removes footer credit.', 'sophia-valeria' ),
        'section'     => 'sv_footer_skin_section',
        'settings'    => 'remove_credit',
        'type'        => 'checkbox',
        'priority'    => 59,	
        'std' => '1',
    )));

    $wp_customize->add_setting( 'theme_footer_color' , array(
        'default'     => '#000000',
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_colors',
    ) );
    
    function sanitize_hex_colors( $color ) {
        if ( $colored = sanitize_hex_color( $color ) )
            return '#' . $colored;
        return $color;
    }

    
    

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_footer_colors', array(
        'label'        => __( 'Footer Color', 'sophia-valeria' ),
        'section'    => 'sv_footer_skin_section',
        'settings'   => 'theme_footer_color',
    ) ) );

    $wp_customize->add_setting('footer_change', array(
        'default'    => '',
		'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_checkbox_t',
    ) );

	
	function sanitize_checkbox_t( $input ) {
        if ( $input == 1 ) {
            return 1;
        } else {
            return 0;
        }
    }

  $wp_customize->add_control(new WP_Customize_Control( $wp_customize, 'footer_change', array(
        'label'      => __('Remove footer sections', 'sophia-valeria' ),
		'description' => __('Removes both footer sections.', 'sophia-valeria' ),
        'section'    => 'sv_footer_skin_section',
        'settings'   => 'footer_change',
        'type'       => 'checkbox',
        'priority'   => 10,
		'std' => '1',
        
        
		 ) ));

         $wp_customize->add_setting( 'footer_area', array(
            'default'           => '',  
            'sanitize_callback' => 'wp_kses_post',
            'capability'        => 'edit_theme_options',
            'type'              => 'theme_mod',
          
    
        ) );
    
    
        $wp_customize->add_control( 'footer_area', array(
            'label'             => esc_html__( 'Add Footer Area Content ', 'sophia-valeria' ),
            'section'           => 'sv_footer_skin_section',
            'type'              => 'textarea',
            'priority'          => 10,
            'settings'          => 'footer_area',
    
        ) );






    
     $wp_customize->add_setting('sv_footer_contact_setting', array(
        'default' => '',
        'transport' => 'refresh',
        'sanitize_callback' => 'sv_sanitize_footer_contact',
    ));

    //wtite a sanitization function to escape text
    function sv_sanitize_footer_contact($input){
        return wp_kses_post(force_balance_tags($input));
    }

    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'sv_footer_contact_setting', array(
        'label' => 'Footer Contact URL',
        'section' => 'sv_footer_skin_section',
        'settings' => 'sv_footer_contact_setting',
        'type' => 'text',
        'description' => __('Enter your contact page URL.', 'sophia-valeria'),
        
        
    )));

    $wp_customize->add_setting( 'dark_footer_text_color', array(
        'default'   => '#ffffff', // Default color is white
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color', // Sanitize input as a hex color
    ) );

    // Add control
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'dark_footer_text_color', array(
        'label'      => __( 'Footer Text Color', 'sophia-valeria' ),
        'section'    => 'sv_footer_skin_section', // Add to the Colors section
        'settings'   => 'dark_footer_text_color',
    ) ) );


    


}
add_action('customize_register', 'sv_footer_skin_section');

function sv_enqueue_dark_custom_footer_styles() {
    // Register the style
    wp_register_style( 'dark-custom-footer', get_template_directory_uri() . '/inc/customizer_files/css/dark-custom-footer.css', array(), '1.0' );

    // Enqueue the style
    wp_enqueue_style( 'dark-custom-footer' );
}
   add_action( 'wp_enqueue_scripts', 'sv_enqueue_dark_custom_footer_styles' );

   function sv_enqueue_light_custom_footer_styles() {
    // Register the style
    wp_register_style( 'light-custom-footer', get_template_directory_uri() . '/inc/customizer_files/css/light-custom-footer.css', array(), '1.0' );

    // Enqueue the style
    wp_enqueue_style( 'light-custom-footer' );
}
   add_action( 'wp_enqueue_scripts', 'sv_enqueue_light_custom_footer_styles' );

   function sv_enqueue_skinny_custom_footer_styles() {
    // Register the style
    wp_register_style( 'skinny-custom-footer', get_template_directory_uri() . '/inc/customizer_files/css/skinny-custom-footer.css', array(), '1.0' );

    // Enqueue the style
    wp_enqueue_style( 'skinny-custom-footer' );
}
   add_action( 'wp_enqueue_scripts', 'sv_enqueue_skinny_custom_footer_styles' );


   function sv_enqueue_power_custom_footer_styles() {
    // Register the style
    wp_register_style( 'power-custom-footer', get_template_directory_uri() . '/inc/customizer_files/css/powered-custom-footer.css', array(), '1.0' );

    // Enqueue the style
    wp_enqueue_style( 'power-custom-footer' );
}
   add_action( 'wp_enqueue_scripts', 'sv_enqueue_power_custom_footer_styles' );







function sv_enqueue_dark_custom_footer_style() {
    // Register and enqueue the style as before

    // Get the selected color
    $color = get_theme_mod( 'dark_footer_text_color', '#ffffff' ); // Default color is white

    // Add inline style
    wp_add_inline_style( 'dark-custom-footer', '.info-foot, .pa-1 { color: ' . esc_attr( $color ) . ' !important; }' );
}

add_action('wp_enqueue_scripts', 'sv_enqueue_dark_custom_footer_style'); 

 
 
 
 
 
 
 function sv_footer_light(){
     ?>
     
 <section class="sv-footer_head">

       
         <div class="sv-logo-2" >
             <a href="<?php echo esc_url(home_url());?>">
            <img src="<?php echo esc_html(get_theme_mod( 'sv_second_logo' )); ?>">
             </a>
        </div>

        <nav class="sv-nav-2">
            <?php wp_nav_menu( array( 'theme_location' => 'sv-footer-menu', 'menu_id' => 'sv-footer-menu' ) ); ?>
            
            <button class="sv-menu-button">
     <a href="https://xlmlinks.com/contact/">
     <span class="sv-menu-button-text">Contact</span>
     </a>
     </button>
        </nav>
    </section>
    
         
     
    <?php
    
 }

  
  //add_action('wp_footer','sv_footer_light');  


  

  
  function sv_footer_dark(){

 


    ?>
      
   

    <section class="sv-footer-dark">

    

 

         <div class="socialite">
    <nav class="social-menu-wrapper" aria-label="Horizontal" role="Navigation">
        <ul class="social-menu reset-list-style">
            <li id="menu-item-155" class="menu-it menu-item-type-post menu-item-object-page">
                <a href="<?php echo esc_url(get_theme_mod('sv_facebook_link_setting'));?>">
                <img class="fbook" src="<?php echo get_stylesheet_directory_uri(); ?>/images/f_logo.png"></a>
            </li>
            <li id="menu-item-156" class="menu-it menu-item-type-post menu-item-object-page">
                <a href="<?php echo esc_url(get_theme_mod('sv_twitter_link_setting'));?>">
                <img class="twitter" src="<?php echo get_stylesheet_directory_uri(); ?>/images/tweety.png"></a></li>
            <li id="menu-item-157" class="menu-it menu-item-type-post menu-item-object-page">
             <a href= "<?php echo esc_url(get_theme_mod("sv_linkedin_link_setting"));?>">
             <img class="linked-in" src="<?php echo get_stylesheet_directory_uri(); ?>/images/linkedin-white.png"></a></li>
    </nav>
        </ul>
</div>

     <div class="info-foot">
             <p class="pa-1"><?php echo esc_html(get_theme_mod( 'footer_area' )); ?></p>
         </div>
            
            
         <button class="sv-menu-button-footer">
     <a href="<?php echo esc_url(get_theme_mod('sv_footer_contact_setting'));?>">
     <span class="sv-menu-button-text">Contact</span>
     </a>
     </button>
                

            
     </section>
        

   
    <?php
}

//add_action('wp_footer', 'sv_footer_dark');

function sv_footer_skinny_mode() {
    ?>
    <section class="sv-footer-dark-mode">
        <div class="left-content">
        <p>&copy; Sophia Valeria, All rights reserved</p>
            <div class="rodi">
                <img src="<?php echo get_stylesheet_directory_uri(); ?>/images/sv_logo_99.png" alt="RodiSoftware Logo">
                <a href="https://rodi.tech">Site design by Rodi Software</a>
            </div>
        </div>
        <div class="space"></div>
        <div class="right-content">

            <nav class="social-menu-wrapper" aria-label="Horizontal" role="Navigation">
               <?php sv_social_menu(); ?>
            </nav>

            <div class="site-menu-wrapper" aria-label="Horizontal" role="Navigation">          
         <?php wp_nav_menu( array( 'theme_location' => 'sv-menu', 'menu_id' => 'sv-menu' ) ); ?>
         </div>

        </div>
    </section>

 
<?php
}
//add_action('wp_footer', 'sv_footer_skinny_mode');



 function sv_footer_powered(){
     
    ?>
    
    
    
    <section class="sv-footer-power">
        
           <div class="info-foot-power">
             <p class="pa-1-power"><?php echo esc_html(get_theme_mod( 'footer_area' )); ?></p>
         </div>

         <div class="socialite-power">
    <nav class="social-menu-wrapper-power" aria-label="Horizontal" role="Navigation">
        <ul class="social-menu-power reset-list-style">
            <li id="menu-item-155" class="menu-it-power menu-item-type-post menu-item-object-page">
                <a href="<?php echo esc_url(get_theme_mod('sv_facebook_link_setting'));?>">
                <img class="fbook" src="<?php echo get_stylesheet_directory_uri(); ?>/images/f_logo.png"></a>
            </li>
            <li id="menu-item-156-power" class="menu-it-power menu-item-type-post menu-item-object-page">
                <a href="<?php echo esc_url(get_theme_mod('sv_twitter_link_setting'));?>">
                <img class="twitter" src="<?php echo get_stylesheet_directory_uri(); ?>/images/tweet.png"></a></li>
            <li id="menu-item-157" class="menu-it-power menu-item-type-post menu-item-object-page">
             <a href= "<?php echo esc_url(get_theme_mod("sv_linkedin_link_setting"));?>">
             <img class="linked-in" src="<?php echo get_stylesheet_directory_uri(); ?>/images/linked-black.png"></a></li>
    </nav>
        </ul>
</div>
            
           
                  <div class="power">
             <p class="pa-1-powered">Powered by: <a href="https://rodi.tech/">Rodi Software</a>
                          </p>
         </div>

            
     </section>
    
    

   
    <?php   
}

//add_action('wp_footer', 'sv_footer_powered');
    
    
  //add css to header based on header skin selected
function custom_footer_logic(){
    $footer_skin = get_theme_mod('sv_footer_skin_setting');
    if($footer_skin == 'light'){
        sv_footer_light();
    }
    if($footer_skin == 'dark'){
        sv_footer_dark();
    }
    if($footer_skin == 'powered'){
        sv_footer_powered();  
    }
    
    if ($footer_skin == ' '){
        return ' ';
    }

    if ($footer_skin == 'skinny'){
        sv_footer_skinny_mode();
    }
   


}
add_action('wp_footer', 'custom_footer_logic');




    

/*

     $wp_customize->add_setting( 'footer_area', array(
        'default'           => '',  
        'sanitize_callback' => 'wp_kses_post',
        'capability'        => 'edit_theme_options',
        'type'              => 'theme_mod',
      

    ) );


    $wp_customize->add_control( 'footer_area', array(
        'label'             => esc_html__( 'Add Footer Area Content', 'sophia-valeria' ),
        'section'           => 'sv_footer_skin_section',
        'type'              => 'textarea',
        'priority'          => 10,
        'settings'          => 'footer_area',

    ) );

    */


    function sv_footer_text_color(){ ?>
        <style>
            .stud  {
                color: <?php echo __(get_theme_mod('footer_text_color', 'pink')); ?>;
            }
        </style>
    <?php }
    add_action( 'wp_footer', 'sv_footer_text_color' );
    //add_action( 'wp_enqueue_scripts', 'understanding_footer_text_color' );

       
    function sv_enqueue_powered_custom_footer_styles() {
        // Check if the 'powered' theme mod is set
        $stupid = get_theme_mod('sv_footer_skin_setting');
        if ($stupid == 'powered') {
            // Register the style
            //wp_register_style( 'powered-custom-footer', get_template_directory_uri() . '/inc/customizer_files/css/powered-custom-footer.css', array(), '1.0' );
    
            // Enqueue the style
            //wp_enqueue_style( 'powered-custom-footer' );
        }
    }
    //add_action( 'wp_enqueue_scripts', 'sv_enqueue_powered_custom_footer_styles' );
    
     function understanding_footer_credits_size(){                  ?>
        <style> .site-footer { font-size:<?php echo(get_theme_mod('change_footer_credits_size','large'));?> !important;}
         </style> <?php 
    }
        //add_action( 'wp_enqueue_scripts', 'understanding_footer_credits_size'); 
        add_action( 'wp_footer', 'understanding_footer_credits_size' );
    
    
    
    
    
    function footer_color_css(){
        ?>
        <style>
            .site-footer a,
            #site-info
            {
                color: <?php echo __(get_theme_mod('theme_footer_color', '#000000'));?> ;  
            }
        </style>
        <?php
    }
     add_action('wp_footer', 'footer_color_css');

