<?php

function sv_header_skin_section($wp_customize){
    $wp_customize->add_section('sv_header_skin_section', array(
        'title' => 'Header Skin',
        'priority' => 25,
        'description' => 'Select a header skin',
    ));

      
        $wp_customize->add_setting('sv_header_skin_setting', array(
          'default' => '',
          'transport' => 'refresh',
          'type' => 'theme_mod',
          'sanitize_callback' => 'sv_sanitize_header_skin',
        ));
      
        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'sv_header_skin_setting', array(
          'label' => 'Header Skin',
          'section' => 'sv_header_skin_section',
          'settings' => 'sv_header_skin_setting',
          'type' => 'radio',
          'choices' => array(
            'light' => 'Light',
            'dark' => 'Dark',
            'cityscape' => 'Custom Background',
            'experimental' => 'Commerce',
            'double_header' => 'Double Header',
            'salon' => 'Hero',
            'standard' => 'Standard', // Add the new standard header option here
            '' => 'Default',
          ),
        )));
      

     $wp_customize->add_setting('custom_header_setting', array(
        'default' => '',
        'transport' => 'refresh',
          'type' => 'theme_mod',
          'sanitize_callback' => 'sv_sanitize_custom_head',

    ));

    $wp_customize->add_control('custom_header_setting', array(
        'label' => __('URL for custom background', 'sophia-valeria'),
        'section' => 'sv_header_skin_section',
        'priority' => 19,
        'type' => 'text',
        'description' => __('Enter the URL of the image you would like to use as the custom background.', 'sophia-valeria'),

        
    ));

    function sv_sanitize_custom_header($input) {
        if ($input) {
            return esc_url($input);
        } else {
            return '';
        }
    }

    function sv_sanitize_header_skin($input) {
        if ($input) {
            return sanitize_text_field($input);
        } else {
            return '';
        }
    }
    
    $wp_customize->add_setting('promo_text', array(
        //'default' => _x('', 'sophia-valeria'),
        'default' => 'FREE DOMESTIC SHIPPING & RETURNS',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sv_sanitize_header_skin',
       

    ));

    $wp_customize->add_control('promo_text', array(
        'label' => __('promo text', 'sophia-valeria'),
        'section' => 'sv_header_skin_section',
        'priority' => 34,
        'type' => 'text',
        'description' => __('Enter the promo text for the Experimental header.', 'sophia-valeria'),

        
    ));

    //need to add to panel a text box for insertion of contact link for contact button for all headers
    $wp_customize->add_setting('contact_link', array(
        //'default' => _x('', 'sophia-valeria'),
        'default' => '',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sv_sanitize_custom_header',
       

    ));

    $wp_customize->add_control('contact_link', array(
        'label' => __('contact button link', 'sophia-valeria'),
        'section' => 'sv_header_skin_section',
        'priority' => 35,
        'type' => 'text',
        'description' => __('Enter the contact link for the contact button.', 'sophia-valeria'),

        // type-select, choices-array
    ));

    //need setting and control for switching the background color of the standard header
    $wp_customize->add_setting('standard_header_color', array(
        'default' => 'white',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sv_sanitize_header_skin',
       

    ));

    $wp_customize->add_control('standard_header_color', array(
        'label' => __('background color', 'sophia-valeria'),
        'section' => 'sv_header_skin_section',
        'priority' => 36,
        'type' => 'select',
        'description' => __('Select the background color for the standard header.', 'sophia-valeria'),
        'choices' => array(
            'white' => 'White',
            'black' => 'Black',
            'grey' => 'Grey',
            'blue' => 'Blue',
            'red' => 'Red',
            'green' => 'Green',
            'yellow' => 'Yellow',
            'orange' => 'Orange',
            'purple' => 'Purple',
            'pink' => 'Pink',
            'brown' => 'Brown',
            'gold' => 'Gold',
            'silver' => 'Silver',
            'transparent' => 'Transparent',

        ),

        // type-select, choices-array
    ));

    //setting and control to change menu color for standard header
    $wp_customize->add_setting('standard_menu_color', array(
        'default' => 'black',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sv_sanitize_header_skin',
       

    ));

    $wp_customize->add_control('standard_menu_color', array(
        'label' => __('menu color (standard header)', 'sophia-valeria'),
        'section' => 'sv_header_skin_section',
        'priority' => 37,
        'type' => 'select',
        'description' => __('Select the menu color for the standard header.', 'sophia-valeria'),
        'choices' => array(
            'black' => 'Black',
            'white' => 'White',
            'grey' => 'Grey',
            'blue' => 'Blue',
            'red' => 'Red',
            'green' => 'Green',
            'yellow' => 'Yellow',
            'orange' => 'Orange',
            'purple' => 'Purple',
            'pink' => 'Pink',
            'brown' => 'Brown',
            'gold' => 'Gold',
            'silver' => 'Silver',
            'transparent' => 'Transparent',

        ),

        // type-select, choices-array
    ));






}


add_action('customize_register', 'sv_header_skin_section');

//function that has the header background color css

function sv_second_logo_setting($wp_customize) {

    $wp_customize->add_setting('sv_second_logo', array(
        'sanitize_callback' => 'esc_url_raw'
    ));

// Add a control to upload the hover logo
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'sv_second_logo', array(
        'label' => 'Header Logo',
        'section' => 'sv_header_skin_section', 
        'settings' => 'sv_second_logo',
        'priority' => 8 // show it just below the custom-logo
    )));
}

add_action('customize_register', 'sv_second_logo_setting');



function sv_background_header_color(){
    ?>
    <style type="text/css">
        .sv-header{
            background-color: <?php echo get_theme_mod('standard_header_color'); ?> !important ; 
        }
    </style>
    <?php
}

//add_action('wp_head', 'sv_background_header_color');

//function that has the header menu color css

function sv_menu_header_color(){
    ?>
    <style type="text/css">
        .sv-standard-nav a{
            color: <?php echo get_theme_mod('standard_menu_color'); ?> !important ; 
        }
    </style>
    <?php
}

add_action('wp_head', 'sv_menu_header_color');



function sv_header_light(){
    //link to stylesheet
      wp_register_style('sv-header-light', get_template_directory_uri() . '/inc/customizer_files/css/sv-header-light.css');
      wp_enqueue_style('sv-header-light');


 ?>

 <section class="sv-light-header">

    
      <div class="sv-logo-light-header" >
          <a href="<?php echo esc_url(home_url());?>">

         <img src="<?php echo esc_url(get_theme_mod( 'sv_second_logo' )); ?>">
          </a>
     </div>

     <nav class="sv-nav-light-header">
         <?php wp_nav_menu( array( 'theme_location' => 'sv-menu', 'menu_id' => 'sv-menu' ) ); ?>


         <button class="sv-menu-button-light-header">

  <a href="<?php echo esc_url(get_theme_mod('contact_link')); ?>">
  <span class="sv-menu-button-text-light-header">Contact</span>
  </a>
  </button>
     </nav>


 </section>
 <?php
}




function sv_menu_active(){
if ( has_nav_menu( 'sv-menu' ) ) {
    echo '<style> #primary-menu { display: none; } </style>';
}}
add_action('wp_head', 'sv_menu_active');



function sv_header_dark(){
         //link to stylesheet
        wp_register_style('sv-header-dark', get_template_directory_uri() . '/inc/customizer_files/css/sv-header-dark.css');
        wp_enqueue_style('sv-header-dark');



    ?>
   <section class="sv-header-dark">

    
      <div class="sv-logo-dark" >
          <a href="<?php echo esc_url(home_url());?>">
          <img src="<?php echo esc_url(get_theme_mod( 'sv_second_logo' )); ?>">
          </a>
     </div>

     <nav class="sv-nav-dark">
         <?php wp_nav_menu( array( 'theme_location' => 'sv-menu', 'menu_id' => 'sv-menu-dark' ) ); ?>


         <button class="sv-menu-button-dark">

  <a href="<?php echo esc_url(get_theme_mod('contact_link')); ?>">
  <span class="sv-menu-button-text">Contact</span>
  </a>
  </button>
     </nav>


 </section>
   
    <?php
}


function sv_custom_background_header(){
    //link to stylesheet
    wp_register_style('sv-custom-background-header', get_template_directory_uri() . '/inc/customizer_files/css/sv-custom-background-header.css');
    wp_enqueue_style('sv-custom-background-header');

    ?>
    <section class="sv-header-custom">

         <div class="sv-logo-custom" >
             <a href="<?php echo esc_url(home_url());?>">
            <img src="<?php echo esc_url(get_theme_mod( 'sv_second_logo' )); ?>">
             </a>
        </div>

        <nav class="sv-nav-custom" id="custom-header-nav">
            <?php wp_nav_menu( array( 'theme_location' => 'sv-menu', 'menu_id' => 'sv-menu-custom' ) ); ?>
        </nav>

             

            <button class="sv-menu-button-custom">
               <a href="<?php echo esc_url(get_theme_mod('contact_link'));?> ">
     <span class="sv-menu-button-text-custom">Contact</span>
     </a>
     </button>
        

    <style>

 .sv-header-custom {
                background-image: url(<?php echo esc_url(get_theme_mod('custom_header_setting')); ?>);
                background-size: cover;
                background-position: center;
                background-repeat: no-repeat;
                height:100%;
                height:150px;
                top:0px;
                margin-top:0px;
                padding-top:0px;
       }
        </style>

    </section>
    <?php
}




function sv_header_experimental(){

   //register and enqueue stylesheet
    wp_register_style('sv-header-experimental', get_template_directory_uri() . '/inc/customizer_files/css/sv-experimental.css');
    wp_enqueue_style('sv-header-experimental');

    ?>

    <section class="sv-header-exp">

       <aside class='sv-promo'>
        <strong>
            <?php echo esc_html(get_theme_mod('promo_text'));?>
        </strong>
        </aside>

         <button class="sv-menu-button-exp">
<a href="<?php echo esc_url(get_theme_mod('contact_link'));?>">
     <span class="sv-menu-button-text-exp">Contact</span>
     </a>
     </button>
        



           <div class="social-menu-exp">
    <nav class="social-menu-wrapper-exp" aria-label="Horizontal" role="Navigation">
        <ul class="social-menu
        -exp reset-list-style">
            <li id="menu-item-155" class="menu-it-exp menu-item-type-post menu-item-object-page">
                <a href="<?php echo esc_url(get_theme_mod('sv_facebook_link_setting'));?>">
                <img class="fbook" src="<?php echo get_stylesheet_directory_uri(); ?>/images/f_logo.png"></a>
            </li>
            <li id="menu-item-156" class="menu-it-exp menu-item-type-post menu-item-object-page">
                <a href="<?php echo esc_url(get_theme_mod('sv_twitter_link_setting'));?>">
                <img class="twitter" src="<?php echo get_stylesheet_directory_uri(); ?>/images/tweet.png"></a></li>
            <li id="menu-item-157" class="menu-it-exp menu-item-type-post menu-item-object-page">
             <a href= "<?php echo esc_url(get_theme_mod("sv_linkedin_link_setting"));?>">
             <img class="linked-in" src="<?php echo get_stylesheet_directory_uri(); ?>/images/linked-black.png"></a></li>
    </nav>
        </ul>
</div>





<!-- end social menu -->



         <div class="sv-logo-exp" >
             <a href="<?php echo esc_url(home_url());?>">
            <img src="<?php echo esc_url(get_theme_mod( 'sv_second_logo' )); ?>">
             </a>
        </div>
    

         <hr class='hr1-exp'><?php
        	wp_nav_menu(
										array(
											'container'  => '',
											'items_wrap' => '%3$s',
											'theme_location' => 'primary',
										));
									?>

    
    </section>

    <?php

}


function sv_double_header_html(){
   //this header could be a plugin.

    //register and enqueue stylesheet
    wp_register_style('sv-double-header', get_template_directory_uri() . '/inc/customizer_files/css/sv-double-header.css');
    wp_enqueue_style('sv-double-header');

    ?>

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    

    <section class="sv-header-double">

    <a class="mailer" href="mailto:<?php echo get_option('admin_email');?>">
    <?php echo get_option('admin_email');?></a>


           <div class="social-menu-d">
    <nav class="social-menu-wrapper-d" aria-label="Horizontal" role="Navigation">
        <ul class="social-menu reset-list-style">
            <li id="menu-item-155" class="menu-it menu-item-type-post menu-item-object-page">
                <a href="<?php echo esc_html(get_theme_mod('sv_facebook_link_setting'));?>">
                <img class="fbook" src="<?php echo get_stylesheet_directory_uri(); ?>/images/f_logo.png"></a>
            </li>
            <li id="menu-item-156" class="menu-it menu-item-type-post menu-item-object-page">
                <a href="<?php echo esc_html(get_theme_mod('sv_twitter_link_setting'));?>">
                <img class="twitter" src="<?php echo get_stylesheet_directory_uri(); ?>/images/tweet.png"></a></li>
            <li id="menu-item-157" class="menu-it menu-item-type-post menu-item-object-page">
                <a href= "<?php echo esc_html(get_theme_mod("sv_linkedin_link_setting"));?>">
                <img class="linked-in" src="<?php echo get_stylesheet_directory_uri(); ?>/images/linked-black.png"></a></li>



    </nav>
        </ul>
</div>
<!-- end social menu -->
</section>

    <section class="sv-second-d">

         
         <div class="sv-logo-d" >
             <a href="<?php echo esc_url(home_url());?>">
            <img src="<?php echo esc_url(get_theme_mod( 'sv_second_logo' )); ?>">
             </a>
        </div>


        <nav class="sv-nav-d">
            <?php wp_nav_menu( array( 'theme_location' => 'sv-menu', 'menu_id' => 'sv-menu-d' ) ); ?>
            <a class="tel-d" href="" title="Call Us">Tel: <?php echo esc_html(get_theme_mod('sv_telephone_setting'));?></a>
            <div class='searching-d' >
            <?php get_search_form(); ?>
            </div>


            
        </nav>


    </section>
        
<?php
}



function sv_salon_header() {
    // Register and enqueue stylesheet
    wp_register_style('sv-salon-header', get_template_directory_uri() . '/inc/customizer_files/css/sv-salon-header.css');
    wp_enqueue_style('sv-salon-header');
    ?>

    <header class="sv-header">

        
        <h1 class="sv-site-title">
    <a href="<?php echo esc_url(home_url()); ?>"><?php echo get_bloginfo('name'); ?></a>
    </h1>


            <nav class="sv-main-nav">
                <?php
                wp_nav_menu(
                    array(
                        'container'  => '',
                        'items_wrap' => '%3$s',
                        'theme_location' => 'sv-menu',
                    )
                );
                ?>
            </nav>


            <div class="sv-social-nav">
                <a href="<?php echo esc_url(get_theme_mod('sv_facebook_link_setting')); ?>">
                    <img src="<?php echo get_stylesheet_directory_uri(); ?>/images/fbook.png">
                </a>
                <a href="<?php echo esc_url(get_theme_mod('sv_twitter_link_setting')); ?>">
                    <img src="<?php echo get_stylesheet_directory_uri(); ?>/images/tweety.png">
                </a>
                <a href="<?php echo esc_url(get_theme_mod('sv_linkedin_link_setting')); ?>">
                    <img src="<?php echo get_stylesheet_directory_uri(); ?>/images/linkedin-white.png">
                </a>
            </div>

            <button class="sv-menu-button-salon">
                <a href="<?php echo esc_url(get_theme_mod('contact_link')); ?>">
                    <span class="sv-menu-button-text-salon">Contact</span>
                </a>

                <div class="sv-header-text">
                <p class="french-quote">La beauté est une promesse de bonheur.
                     - Beauty is a promise of happiness.</p>
            </div>


        
    </header>
    <?php
}

function sv_salon_header_css() {
    ?>
    <style type="text/css">
        .sv-header {
            background-color: <?php echo get_theme_mod('sv_salon_header_color_setting'); ?> !important;
        }
        .sv-main-nav a {
            color: <?php echo get_theme_mod('sv_salon_header_menu_color_setting'); ?> !important;
        }
    </style>
    <?php
}

//add_action('wp_head', 'sv_salon_header_css');








//if custom_header_setting is empty, then use 'city33.jpg' as default
function sv_default_custom_background(){
    if (get_theme_mod('custom_header_setting') == ''){
        set_theme_mod('custom_header_setting', 'https://www.rodisoftware.com/city33.jpg');
    }
}
add_action('wp_head', 'sv_default_custom_background');


function sv_header_standard() {
    // Register and enqueue stylesheet
    wp_register_style('sv-header-standard', get_template_directory_uri() . '/inc/customizer_files/css/sv-standard-header.css');
    wp_enqueue_style('sv-header-standard');
    ?>
    <header class="sv-header-standard">
      <div class="sv-header-inner-standard">
        <div class="sv-logo-standard">
          <a href="<?php echo esc_url(home_url()); ?>">
            <img src="<?php echo esc_url(get_theme_mod('sv_second_logo')); ?>">
          </a>
        </div>
        <nav class="sv-main-nav-st">
          <?php
            wp_nav_menu(
              array(
                'container'  => '',
                'items_wrap' => '%3$s',
                'theme_location' => 'primary',
              )
            );
          ?>
        </nav>
       

        </div>
    </header>
    <?php
    }


  



//add css to header based on header skin selected
function sv_header_choice(){
    $header_skin = get_theme_mod('sv_header_skin_setting');
    if($header_skin == 'light'){
        sv_header_light();
    }
    if($header_skin == 'dark'){
        sv_header_dark();
    }
    if($header_skin == 'cityscape'){
        sv_custom_background_header();
    }
    if ($header_skin == 'experimental'){
        sv_header_experimental();
    }
    if ($header_skin == ' '){
        return ' ';
    }
    if ($header_skin == 'double_header'){
        $current_header_skin = get_theme_mod('sv_header_skin_setting');
        sv_double_header_html();
    }
    if ($header_skin == 'standard'){
        sv_header_standard();
        sv_background_header_color();
    }
    if ($header_skin == 'salon'){
        sv_salon_header();
    }

}


add_action('wp_head', 'sv_header_choice');

/*
function custom_header_padding() {
    $menu_name = 'sv-menu'; // Replace with the ID of your menu
    $menu_html = wp_nav_menu(array('echo' => false, 'menu_class' => 'sv-nav', 'theme_location' => $menu_name));
    echo "menu: " . $menu_html;
    $dom = new DOMDocument();
    $dom->loadHTML($menu_html);
    $xpath = new DOMXPath($dom);
    //$menu_items = $xpath->query('//ul[@class="menu"]/li');
    $menu_items = $xpath->query('//*[@id="sv-menu"]/li');
    $menu_item_count = $menu_items->length;
    var_dump($menu_item_count);
  
    $padding = ($menu_item_count * 10) . 'px'; // Adjust the padding as needed
  
    wp_register_style('custom-header-padding', get_template_directory_uri() . '/css/sv-custom-background-header.css');
    wp_add_inline_style('custom-header-padding', '#sv-menu { padding-left: ' . $padding . ' !important; padding-right: ' . $padding . ' !important; }');
    wp_enqueue_style('custom-header-padding');
  }
  
  add_action('wp_enqueue_scripts', 'custom_header_padding');
  */



  function custom_header_padding() {

    wp_register_style( 'remove-title', get_template_directory_uri() . '/css/sv-salon-header.css' );
  
    // Check if the salon header is active
    if ( get_theme_mod('sv_header_skin_setting') == 'salon' ) {
      // Remove the site title from the salon header
      wp_enqueue_style( 'remove_title' );
      wp_add_inline_style('remove_title', '.site-branding .site-title { display: none; }');
    }
  
  }
  
  add_action('wp_enqueue_scripts', 'custom_header_padding');