<?php

//need section, setting and control for rumble effect on logo

function register_effects_section( $wp_customize ) {



    $wp_customize->add_section( 'effects_section' , array(
        'title'      => __( 'Effects', 'sophia-valeria' ),
        'description' => __( 'Effects', 'sophia-valeria' ),
        'priority'   => 30,
    ) );


    


$wp_customize->add_setting( 'logo_effects' , array(
    'default'   => 'none',
    'type'       => 'theme_mod', 
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'effects_sanitize_select',
) );

function effects_sanitize_select( $input ) {
    $valid = array(
        'none' => __('off', 'sophia-valeria'),
        'rumble' => __('Rumble', 'sophia-valeria'),
    );
 
    if ( array_key_exists( $input, $valid ) ) {
        return $input;
    } else {
        return '';
    }
}




$wp_customize->add_control( new WP_Customize_Control(  $wp_customize,'logo_effects', array(
    'label'      => esc_html__( 'Turn On/Off Rumble effect', 'sophia-valeria' ),
    'section'    => 'effects_section',
    'settings'   => 'logo_effects',
    'type'       => 'select',
    'choices'    => array(
        'none' => 'off',
        'rumble' => 'Rumble',
    ), 
)   )   );




}





add_action( 'customize_register', 'register_effects_section' );


// Add the 'effects_setting' theme mod to the theme mods list
set_theme_mod( 'logo_effects', 'rumble' );
set_theme_mod( 'logo_effects', 'none' );

function add_effects() {
    // Retrieve the value of the 'effects_setting' theme mod
    $effects = get_theme_mod( 'logo_effects' );
    if ( $effects == 'rumble' ) {
        // Enqueue the 'rumble_logo.css' file
        wp_enqueue_style( 'rumble', get_stylesheet_directory_uri() . '/css/rumble_logo.css', array( ), '1.0.0' );
    }
    if ( $effects == 'none' ) {
        // Enqueue the 'rumble_logo.css' file
        unset ( $effects );
    }
}
add_action( 'wp_enqueue_scripts', 'add_effects' );


