<?php


function register_logo_script() { 
	wp_register_style('center_logo', get_stylesheet_directory_uri() . '/css/logo_move.css', array(), '1.0.0', false);
	wp_register_style('left_logo', get_stylesheet_directory_uri() . '/css/logo_left.css', array(), '1.0.0', false);
	wp_register_style('logo_right', get_stylesheet_directory_uri() . '/css/logo_right.css', array(), '1.0.0', false);
}
add_action("wp_enqueue_scripts", "register_logo_script");


add_action( 'customize_register', 'sophia_valeria_customize_logo' );

 function sophia_valeria_customize_logo( $wp_customize ) {
	 
$wp_customize->add_setting( 'logo_sv_setting', 
 array(
    'default'    => 'left_logo', 
    'type'       => 'theme_mod', 
    'capability' => 'edit_theme_options', 
    'sanitize_callback' => 'logo_sanitize_radio',
 ) 
);

function logo_sanitize_radio( $input ) {
    $valid = array(
        'center_logo' => __('Center Logo', 'sophia-valeria'),
        'left_logo' => __('Left Logo', 'sophia-valeria'),
        'right_logo' => __('Right Logo', 'sophia-valeria'),
    );
 
    if ( array_key_exists( $input, $valid ) ) {
        return $input;
    } else {
        return '';
    }
}

 
	 
$wp_customize->add_control( new WP_Customize_Control(
 $wp_customize, 
 'logo_svt_setting', 
 array(
    'label'      => __( 'Move the Logo', 'sophia-valeria' ), 
    'description' => __( 'Using this option you can move the logo.', 'sophia-valeria' ),
    'settings'   => 'logo_sv_setting',
    'priority'   => 75, 
    'section'    => 'title_tagline',
    'type'    => 'select',
    'choices' => array(
       'center_logo' => 'Center logo',
		'left_logo' => 'justify left',
		'logo_right' => 'justify right',
		
  		
		
 )   
)
) );

}






function enq_logo(){
	$logo_skin = get_theme_mod('logo_sv_setting');
	
	if($logo_skin == 'center_logo'){
		wp_enqueue_style('center_logo');	
	}
		
	if($logo_skin == 'left_logo'){
		wp_enqueue_style('left_logo');
	}
	
	if($logo_skin == 'logo_right'){
		wp_enqueue_style('logo_right');
	}
	
};

add_action('wp_enqueue_scripts', 'enq_logo');





