<?php


/*********************************************************************************
     Custom Menu Sections.
*/




function register_menu_positions() { 
	
	wp_register_style('flex_menu', get_stylesheet_directory_uri() . '/css/stretch_menu.css', array(), '1.0.0', false);
	wp_register_style('right_menu', get_stylesheet_directory_uri() . '/css/right_menu.css', array(), '1.0.0', false);
	wp_register_style('left_menu', get_stylesheet_directory_uri() . '/css/left_menu.css', array(), '1.0.0', false);
	wp_register_style('center_one', get_stylesheet_directory_uri() . '/css/center_one.css', array(), '1.0.0', false);
	
    
}
add_action("wp_enqueue_scripts", "register_menu_positions");


function register_footer_menu_positions() { 
	
	wp_register_style('right_menu_2', get_stylesheet_directory_uri() . '/css/right_menu2.css', array(), '1.0.0', false);
	wp_register_style('nudge_right', get_stylesheet_directory_uri() . '/css/nudge_right.css', array(), '1.0.0', false);
	wp_register_style('flex_menu2', get_stylesheet_directory_uri() . '/css/flex_menu.css', array(), '1.0.0', false);
    
}
add_action("wp_enqueue_scripts", "register_footer_menu_positions");





function svr_customizer_options( $wp_customize ) {
   
    $wp_customize->add_section( 'nav_menus_custom', array(
        'title' => __( 'More menu options', 'sophia-valeria' ),
        'panel' => 'nav_menus',
    ) );

  
	 // add "menu primary flex" checkbox setting
    $wp_customize->add_setting( 'menu_right_flex', array(
        'capability'        => 'edit_theme_options',
        'default'           => 'flex_menu',
	    'sanitize_callback' => 'sanitize_flex_selection',
        
    ) );
	
	
 function sanitize_flex_selection( $input ) {
        if ( in_array( $input, array( 'flex_menu', 'right_menu', 'left_menu', 'center_one' ) ) )
            return $input;
        else
            return '';
    }
	
	
    
    $wp_customize->add_control( new WP_Customize_Control(
 $wp_customize, 'menu_right_flex', array(
        'label'    => __( 'Move menu left, right, or stretched across.', 'sophia-valeria' ),
        'section'  => 'nav_menus_custom',
        'settings' => 'menu_right_flex',
        'type'     => 'select',
        'priority' => 1,
		'choices' => array(
		'left_menu' => 'left_menu',
		'flex_menu' => 'flex menu',
		'right_menu' => 'move menu right',
		'center_one' => 'center one item',
		
		
		))
    ));
	

  
	 // add "menu primary flex" checkbox setting
    $wp_customize->add_setting( 'footer_menu_move', array(
        'capability'        => 'edit_theme_options',
        'default'           => '',
        'sanitize_callback' => 'sanitize_menu_selection',
	
        
    ) );
	
	
 function sanitize_menu_selection( $input ) {
        if ( in_array( $input, array( 'footer_menu', 'footer_menu_right', 'footer_menu_left', 'footer_menu_center' ) ) )
            return $input;
        else
            return '';
    }
	
	
    
    $wp_customize->add_control( new WP_Customize_Control(
 $wp_customize, 'footer_menu_move', array(
        'label'    => __( 'Move footer menu left, right, or stretched across.', 'sophia-valeria' ),
        'section'  => 'nav_menus_custom',
        'settings' => 'footer_menu_move',
        'type'     => 'select',
        'priority' => 5,
		'choices' => array(
		'flex_menu2' => 'flex menu',
		'right_menu_2' => 'nudge left',
		'nudge_right' => 'nudge right',
		
		
		))
    ));
	
	
	  $wp_customize->add_setting( 'color_hover', array(
        'capability'        => 'edit_theme_options',
		 'default'           => 'pink',
		 'sanitize_callback' => 'sanitize_color_hover',
    ) );
    
    function sanitize_color_hover( $input ) {
        if ( in_array( $input, array( 'pink', 'blue', 'green', 'orange', 'red', 'purple', 'yellow' ) ) )
            return $input;
        else
            return '';
    }


    $wp_customize->add_control( new WP_Customize_Control(
 $wp_customize,
 'menu_hover',
  array(
        'label'    => __( 'Change menu color on hovering.', 'sophia-valeria' ),
		'description' => __( 'Using this option you can change the menu hover color.', 'sophia-valeria' ),
		'settings' => 'color_hover',
		'priority' => 6,
        'section'  => 'nav_menus_custom',
        'type'     => 'select',
		'choices' => array(
		'pink' => 'pink',
		'aqua' => 'aqua',
		'purple' => 'purple',
		'blue' => 'blue',
		'green' => 'green',
		'red' => 'red',
		'brown' => 'brown',
		'grey' => 'grey',
		'black' => 'black',
		'yellow' => 'yellow',
		'magenta' => 'magenta',
		'orange' => 'orange', 'navy' => 'navy', 'teal' => 'teal',
		'silver' => 'silver', 'lime' => 'lime', 'olive' => 'olive',
		'maroon' => 'maroon', 'blueviolet' => 'blueviolet', 'burlywood' => 'burlywood',
		'azure' => 'azure', 'beige' => 'beige', 'cyan' => 'cyan',
		'ghostwhite' => 'ghostwhite', 'indigo' => 'indigo', 'lavender' => 'lavender',
		
		
		))));
		
		
			 $wp_customize->add_setting( 'color_hover_footer', array(
        'capability'        => 'edit_theme_options',
		 'default'           => 'pink',
		 'sanitize_callback' => 'sanitize_footer_menu_selection',
    
    ) );
    
    function sanitize_footer_menu_selection( $input ) {
        if ( in_array( $input, array( 'pink', 'aqua', 'purple', 'blue', 'green', 'red', 'brown', 'grey', 'black', 'yellow', 'magenta', 'orange', 'navy', 'teal', 'silver', 'lime', 'olive', 'maroon', 'blueviolet', 'burlywood', 'azure', 'beige', 'cyan', 'ghostwhite', 'indigo', 'lavender' ) ) )
            return $input;
        else
            return '';
    }

    $wp_customize->add_control( new WP_Customize_Control(
 $wp_customize,
 'color_hover_foot',
  array(
        'label'    => __( 'Change footer menu color on hovering.', 'sophia-valeria' ),
		'description' => __( 'Using this option you can change the menu footer hover color.', 'sophia-valeria' ),
		'settings' => 'color_hover_footer',
		'priority' => 8,
        'section'  => 'nav_menus_custom',
        'type'     => 'select',
		'choices' => array(
		'pink' => 'pink',
		'aqua' => 'aqua',
		'purple' => 'purple',
		'blue' => 'blue',
		'green' => 'green',
		'red' => 'red',
		'brown' => 'brown',
		'grey' => 'grey',
		'black' => 'black',
		'yellow' => 'yellow',
		'magenta' => 'magenta',
		'orange' => 'orange', 'navy' => 'navy', 'teal' => 'teal',
		'silver' => 'silver', 'lime' => 'lime', 'olive' => 'olive',
		'maroon' => 'maroon', 'blueviolet' => 'blueviolet', 'burlywood' => 'burlywood',
		'azure' => 'azure', 'beige' => 'beige', 'cyan' => 'cyan',
		'ghostwhite' => 'ghostwhite', 'indigo' => 'indigo', 'lavender' => 'lavender',
		
		
		))));
		
			 $wp_customize->add_setting( 'primary_menu_color', array(
        'capability'        => 'edit_theme_options',
		 'default'           => '',
		 'sanitize_callback' => 'sanitize_colors',
    
    ) );


	function sanitize_colors( $input ) {
		if ( in_array( $input, array( 'pink', 'aqua', 'purple', 'blue', 'green', 'red', 'brown', 'grey', 'black', 'yellow', 'magenta', 'orange', 'navy', 'teal', 'silver', 'lime', 'olive', 'maroon', 'blueviolet', 'burlywood', 'azure', 'beige', 'cyan', 'ghostwhite', 'indigo', 'lavender' ) ) )
			return $input;
		else
			return '';
	}

    
 


    $wp_customize->add_control( new WP_Customize_Control(
 $wp_customize,
 'color_primary',
  array(
        'label'    => __( 'Change primary menu color.', 'sophia-valeria' ),
		'description' => __( 'Using this option you can change the primry menu color.', 'sophia-valeria' ),
		'settings' => 'primary_menu_color',
		'priority' => 68,
        'section'  => 'nav_menus_custom',
        'type'     => 'select',
		'choices' => array(
		'pink' => 'pink',
		'aqua' => 'aqua',
		'purple' => 'purple',
		'blue' => 'blue',
		'green' => 'green',
		'red' => 'red',
		'brown' => 'brown',
		'grey' => 'grey',
		'black' => 'black',
		'yellow' => 'yellow',
		'magenta' => 'magenta',
		'orange' => 'orange', 'navy' => 'navy', 'teal' => 'teal',
		'silver' => 'silver', 'lime' => 'lime', 'olive' => 'olive',
		'maroon' => 'maroon', 'blueviolet' => 'blueviolet', 'burlywood' => 'burlywood',
		'azure' => 'azure', 'beige' => 'beige', 'cyan' => 'cyan',
		'ghostwhite' => 'ghostwhite', 'indigo' => 'indigo', 'lavender' => 'lavender',
		
		
		))));

	}

add_action( 'customize_register', 'sophia_valeria_customize_register' );

		
		





	
function enq_menu(){
	$menu_skin = get_theme_mod(esc_html('menu_right_flex', 'sophia-valeria'));
	
	if($menu_skin == 'flex_menu'){
		wp_enqueue_style('flex_menu');	
	}
	
	$menu_skinny = get_theme_mod(esc_html('menu_right_flex', 'sophia-valeria'));
	
	if($menu_skinny == 'right_menu'){
		wp_enqueue_style('right_menu');
	}
	
	if($menu_skinny == 'left_menu'){
		wp_enqueue_style('left_menu');
	}
		
	if($menu_skinny == 'center_one'){
	    wp_enqueue_style('center_one');
	}
};		
	
add_action('wp_enqueue_scripts', 'enq_menu');	


function enq_footer_menu(){
	$menu_skin = get_theme_mod(esc_html('footer_menu_move', 'sophia-valeria'));
	
	if($menu_skin == 'right_menu_2'){
		wp_enqueue_style('right_menu_2');
	}
	
	if($menu_skin == 'flex_menu2'){
		wp_enqueue_style('flex_menu2');
	}
		
	if($menu_skin == 'center_one'){
	    wp_enqueue_style('nudge_right');
	}
};		
	
add_action('wp_footer', 'enq_footer_menu');	

function color_menu_code(){
    ?>
    <style>
    .main-navigation a {
        color:<?php echo esc_html__(get_theme_mod('primary_menu_color', 'gray')); ?>;
    }
    </style>
    <?php
    
}
add_action('wp_head', 'color_menu_code');

function svr_customize_hover(){
	?>
	<style>
	.main-navigation a:hover{
		color:<?php echo esc_html__(get_theme_mod('color_hover','pink')); ?>;
    transition: all 0.3s ease;
	}
	</style>
	<?php
}
add_action( 'wp_head', 'svr_customize_hover');


function svr_customize_hover_footer(){
	?>
	<style>
	#footer-menu a:hover{
		color:<?php echo esc_html__(get_theme_mod('color_hover_footer','pink')); ?>;
    transition: all 0.3s ease;
	}
	</style>
	<?php
}
add_action( 'wp_head', 'svr_customize_hover_footer');

//add setting and control to make the menu sticky
function svr_customize_sticky(){
	?>
	<style>
	.main-navigation{
		position:<?php echo esc_html__(get_theme_mod('sticky_menu','sticky')); ?>;
	}
	</style>
	<?php
}
add_action( 'wp_head', 'svr_customize_sticky');

