<?php


//idea: add option to change all headings colors.
//idea: add block override option also.

function sophia_valeria_headings( $wp_customize ) {
	 
   //All our sections, settings, and controls will be added here
   
   $wp_customize->add_section( 'sophia_valeria_h1', 
 array(
    'title'       => __( 'Branding Headings Options', 'sophia-valeria' ), //Visible title of section
    'priority'    => 70, //Determines what order this appears in
    'capability'  => 'edit_theme_options', //Capability needed to tweak
    'description' => __('Customize colors for headings. <br><br>
	NOTE: Once you change an individual post or page heading color through the block editor, that setting
	will override this one on that page. This setting will overide all individual block editor headings settings, as well.
	
	', 'sophia-valeria'), //Descriptive tooltip
 ) 
);


$wp_customize->add_setting( 'typography_h1_setting', //give a unique ID.
 array(
    'default'    => '', //Default setting/value to save
    'type'       => 'theme_mod', 
    'capability' => 'edit_theme_options', 
    'sanitize_callback' => 'sanitize_selection',
 ) 
);

 function sanitize_selection( $input ) {
    return esc_html( $input );
}
   
$wp_customize->add_control( new WP_Customize_Control(
 $wp_customize, 
 'typography_h1', //Set a unique ID for the control
 array(
    'label'      => __( 'Change Biggest Heading', 'sophia-valeria' ), //Admin-visible name of the control
    'description' => __( 'Sitewide branding: Using this option you can change the biggest heading.', 'sophia-valeria' ),
    'settings'   => 'typography_h1_setting', //Which setting to load and manipulate (serialized is okay)
    'priority'   => 70, //Determines the order this control appears in for the specified section
    'section'    => 'sophia_valeria_h1', //ID of the section this control should render in (can be one of yours, or a WordPress default section)
    'type'    => 'select',
    'choices' => array(
        'red' => 'Cherry Red',
		'default' => 'Alien Gray',
		'blue' => 'Berry Blue',
		'green' => 'Money Green',
		'white' => 'Ghost White',
		'black' => 'Black',
		'pink' => 'Pink Panther',
		'purple' => 'Purple Haze',
		'yellow' => 'Yellow Bee',
		'brown' => 'Bad Brown',
		'silver' => 'Silver',
		'lime' => 'Lime',
		'aqua' => 'Aqua',
		'teal' => 'Teal',
		'#f0ffff' => 'Azure',
		'#f5f5dc' => 'Beige',
		'#ffe4c4' => 'Bisque',
		'blueviolet' => 'BlueViolet',
		'chocolate' => 'Chocalate',
		'lavender' => 'Lavender Soap',
		'lightseagreen' => 'LightSeaGreen',
		'magenta' => 'Magenta',
    )
)
) );
   

$wp_customize->add_setting( 'typography_h2_setting', //give a unique ID.
 array(
    'default'    => 'red', //Default setting/value to save
    'type'       => 'theme_mod',
    'capability' => 'edit_theme_options', //Optional. Special permissions for accessing this setting.
    'sanitize_callback' => 'sanitize_selection',
 ) 
);

 

$wp_customize->add_control( new WP_Customize_Control(
 $wp_customize, 
 'typography_h2', //Set a unique ID for the control
 array(
    'label'      => __( 'Change H2 Heading', 'sophia-valeria' ), //Admin-visible name of the control
    'description' => __( 'Site-wide branding: Using this option you can change the second biggest heading(h2).', 'sophia-valeria' ),
    'settings'   => 'typography_h2_setting', //Which setting to load and manipulate (serialized is okay)
    'priority'   => 70, //Determines the order this control appears in for the specified section
    'section'    => 'sophia_valeria_h1', //ID of the section this control should render in (can be one of yours, or a WordPress default section)
    'type'    => 'select',
    'choices' => array(
        'red' => 'Cherry Red',
		'default' => 'Alien Gray',
		'blue' => 'Berry Blue',
		'green' => 'Money Green',
		'white' => 'Ghost White',
		'black' => 'Black',
		'pink' => 'Pink Panther',
		'purple' => 'Purple Haze',
		'yellow' => 'Yellow Bee',
		'brown' => 'Bad Brown',
		'silver' => 'Silver',
		'lime' => 'Lime',
		'aqua' => 'Aqua',
		'teal' => 'Teal',
		'#f0ffff' => 'Azure',
		'#f5f5dc' => 'Beige',
		'#ffe4c4' => 'Bisque',
		'blueviolet' => 'BlueViolet',
		'chocolate' => 'Chocalate',
		'lavender' => 'Lavender Soap',
		'lightseagreen' => 'LightSeaGreen',
		'magenta' => 'Magenta',
    )
)
) );


$wp_customize->add_setting( 'mod_h3_setting', //give a unique ID.
 array(
    'default'    => 'red', //Default setting/value to save
    'type'       => 'theme_mod', //Is this an 'option' or a 'theme_mod'?
    'capability' => 'edit_theme_options', 
    'sanitize_callback' => 'sanitize_selection',
 ) 
);



//control for 4th heading
$wp_customize->add_control( new WP_Customize_Control(
 $wp_customize, 
 'mod_h3_setting', //Set a unique ID for the control
 array(
    'label'      => __( 'Change H3 Heading', 'sophia-valeria' ), //Admin-visible name of the control
    'description' => __( 'Sitewide branding: Using this option you can change the third biggest heading(h3).', 'sophia-valeria'),
    'settings'   => 'mod_h3_setting', //Which setting to load and manipulate (serialized is okay)
    'priority'   => 70, //Determines the order this control appears in for the specified section
    'section'    => 'sophia_valeria_h1', //ID of the section this control should render in (can be one of yours, or a WordPress default section)
    'type'    => 'select',
    'choices' => array(
        'red' => 'Cherry Red',
		'default' => 'Alien Gray',
		'blue' => 'Berry Blue',
		'green' => 'Money Green',
		'white' => 'Ghost White',
		'black' => 'Black',
		'pink' => 'Pink Panther',
		'purple' => 'Purple Haze',
		'yellow' => 'Yellow Bee',
		'brown' => 'Bad Brown',
		'silver' => 'Silver',
		'lime' => 'Lime',
		'aqua' => 'Aqua',
		'teal' => 'Teal',
		'#f0ffff' => 'Azure',
		'#f5f5dc' => 'Beige',
		'#ffe4c4' => 'Bisque',
		'blueviolet' => 'BlueViolet',
		'chocolate' => 'Chocalate',
		'lavender' => 'Lavender Soap',
		'lightseagreen' => 'LightSeaGreen',
		'magenta' => 'Magenta',
    )
)
) );

$wp_customize->add_setting( 'mod_h4_setting', //give a unique ID.
 array(
    'default'    => 'red', //Default setting/value to save
    'type'       => 'theme_mod', //Is this an 'option' or a 'theme_mod'?
    'capability' => 'edit_theme_options', //Optional. Special permissions for accessing this setting.
    'sanitize_callback' => 'sanitize_selection',
 ) 
);



//control for 4th heading
$wp_customize->add_control( new WP_Customize_Control(
 $wp_customize, 
 'mod_h4_setting', //Set a unique ID for the control
 array(
    'label'      => __( 'Change H4 Heading', 'sophia-valeria' ), //Admin-visible name of the control
    'description' => __( 'Sitewide branding: Using this option you can change the fourth biggest heading(h4).', 'sophia-valeria'),
    'settings'   => 'mod_h4_setting', //Which setting to load and manipulate (serialized is okay)
    'priority'   => 70, //Determines the order this control appears in for the specified section
    'section'    => 'sophia_valeria_h1', //ID of the section this control should render in (can be one of yours, or a WordPress default section)
    'type'    => 'select',
    'choices' => array(
        'red' => 'Cherry Red',
		'default' => 'Alien Gray',
		'blue' => 'Berry Blue',
		'green' => 'Money Green',
		'white' => 'Ghost White',
		'black' => 'Black',
		'pink' => 'Pink Panther',
		'purple' => 'Purple Haze',
		'yellow' => 'Yellow Bee',
		'brown' => 'Bad Brown',
		'silver' => 'Silver',
		'lime' => 'Lime',
		'aqua' => 'Aqua',
		'teal' => 'Teal',
		'#f0ffff' => 'Azure',
		'#f5f5dc' => 'Beige',
		'#ffe4c4' => 'Bisque',
		'blueviolet' => 'BlueViolet',
		'chocolate' => 'Chocalate',
		'lavender' => 'Lavender Soap',
		'lightseagreen' => 'LightSeaGreen',
		'magenta' => 'Magenta',
    )
)
) );




$wp_customize->add_setting( 'mod_h5_setting', //give a unique ID.
 array(
    'default'    => 'red', //Default setting/value to save
    'type'       => 'theme_mod', //Is this an 'option' or a 'theme_mod'?
    'capability' => 'edit_theme_options', 
    'sanitize_callback' => 'sanitize_selection',
 )
);



//create a control for the 5th heading
$wp_customize->add_control( new WP_Customize_Control(
 $wp_customize,  'mod_h5_setting',
 //create array of options for the control
 array(
    'label'      => __( 'Change H5 Heading', 'sophia-valeria' ), //Admin-visible name of the control
    'description' => __( 'Sitewide branding: Using this option you can change the fifth biggest heading(h5).', 'sophia-valeria' ),
    'settings'   => 'mod_h5_setting', //Which setting to load and manipulate (serialized is okay)
    'priority'   => 70, //Determines the order this control appears in for the specified section
    'section'    => 'sophia_valeria_h1', //ID of the section this control should render in (can be one of yours, or a WordPress default section)
    'type'    => 'select',
    'choices' => array(
        'red' => 'Cherry Red',
        'default' => 'Alien Gray',
        'blue' => 'Berry Blue',
        'green' => 'Money Green',
        'white' => 'Ghost White',
        'black' => 'Black',
        'pink' => 'Pink Panther',
        'purple' => 'Purple Haze',
        'yellow' => 'Yellow Bee',
        'brown' => 'Bad Brown',
        'silver' => 'Silver',
        'lime' => 'Lime',
        'aqua' => 'Aqua',
        'teal' => 'Teal',
        '#f0ffff' => 'Azure',
        '#f5f5dc' => 'Beige',
        '#ffe4c4' => 'Bisque',
        'blueviolet' => 'BlueViolet',
        'chocolate' => 'Chocalate',
        'lavender' => 'Lavender Soap',
        'lightseagreen' => 'LightSeaGreen',
        'magenta' => 'Magenta',
    )
    )
    )
    );

    //create a setting for the 6th heading
    $wp_customize->add_setting( 'mod_h6_setting',
    array(
    'default'    => 'red', //Default setting/value to save
    'type'       => 'theme_mod', //Is this an 'option' or a 'theme_mod'?
    'capability' => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_selection',
    )
    );
	
	

    //create a control for the 6th heading
    $wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
    'mod_h6_setting',
    array(
    'label'      => __( 'Change H6 Heading', 'sophia-valeria' ), //Admin-visible name of the control
    'description' => __( 'Sitewide branding: Using this option you can change the sixth biggest heading(h6).', 'sophia-valeria' ),
    'settings'   => 'mod_h6_setting', //Which setting to load and manipulate (serialized is okay)
    'priority'   => 70, //Determines the order this control appears in for the specified section
    'section'    => 'sophia_valeria_h1', //ID of the section this control should render in (can be one of yours, or a WordPress default section)
    'type'    => 'select',
    'choices' => array(
        'red' => 'Cherry Red',
        'default' => 'Alien Gray',
        'blue' => 'Berry Blue',
        'green' => 'Money Green',
        'white' => 'Ghost White',
        'black' => 'Black',
        'pink' => 'Pink Panther',
        'purple' => 'Purple Haze',
        'yellow' => 'Yellow Bee',
        'brown' => 'Bad Brown',
        'silver' => 'Silver',
        'lime' => 'Lime',
        'aqua' => 'Aqua',
        'teal' => 'Teal',
        '#f0ffff' => 'Azure',
        '#f5f5dc' => 'Beige',
        '#ffe4c4' => 'Bisque',
        'blueviolet' => 'BlueViolet',
        'chocolate' => 'Chocalate',
        'lavender' => 'Lavender Soap',
        'lightseagreen' => 'LightSeaGreen',
        'magenta' => 'Magenta',
    )
    )
    )
    );



  
}
add_action( 'customize_register', 'sophia_valeria_headings' );



// this function looks like it should work, but doesn't!!
function mod_css(){
	?> <style>
	<?php echo esc_html__(get_theme_mod('typography_h1_setting', 'h1'));?>
		{color:red;
		}
		</style>
   <?php
}
//add_action( 'wp_head', 'mod_css');


function mod_h1(){
	?> <style>
		h1 {
			
			color: <?php echo (get_theme_mod('typography_h1_setting', 'red')); ?>!important;
		}
		</style>
   <?php
}
add_action( 'wp_head', 'mod_h1');

function mod_h3(){
	?> <style>
		h3 {
			
			color: <?php echo (get_theme_mod('mod_h3_setting', 'red')); ?>!important;
		}
		</style>
   <?php
}
add_action( 'wp_head', 'mod_h3');

function mod_h4(){
	?> <style>
		h4 {
			
			color: <?php echo (get_theme_mod('mod_h4_setting', 'red')); ?>!important;
		}
		</style>
   <?php
}
add_action( 'wp_head', 'mod_h4');

function mod_h5(){
    ?> <style>
        h5 {

            color: <?php echo (get_theme_mod('mod_h5_setting', 'red')); ?>!important;
        }
        </style>
   <?php
}
add_action( 'wp_head', 'mod_h5');

function mod_h6(){
    ?> <style>
        h6 {

            color: <?php echo (get_theme_mod('mod_h6_setting', 'red')); ?>!important;
        }
        </style>
   <?php
}
add_action( 'wp_head', 'mod_h6');



/*
function mod_css(){
	?> <style>
		<?php echo esc_html__(get_theme_mod('typography_h1_setting', 'h1'));?>
		{color:<?php echo esc_html__(get_theme_mod('typography_h2_setting', 'red'));?>;}
		</style>
   <?php
}  */
//add_action( 'wp_head', 'mod_css');
//echo var_dump(mod_css());






function understanding_h2(){
	?> <style>
		h2 {
			color: <?php echo esc_html__(get_theme_mod('typography_h2_setting', 'red')); ?>;
		}
		</style>
   <?php
}
add_action( 'wp_head', 'understanding_h2');