<?php

register_block_pattern_category(
    'full page templates',
    array( 'label' => __( 'Full Page Templates', 'sophia-valeria' ) )
);

add_action( 'init', 'register_design_pattern' );

function register_design_pattern(){
	$new_pattern_block = '<!-- wp:image {"align":"center","id":2045,"sizeSlug":"full","linkDestination":"none"} -->
<div class="wp-block-image"><figure class="aligncenter size-full"><img src="https://www.rodisoftware.com/crcr.png" alt="" class="wp-image-2045"/></figure></div>
<!-- /wp:image -->

<!-- wp:media-text {"align":"full","mediaPosition":"right","mediaId":1987,"mediaLink":"https://www.rodisoftware.com/design-rules/insect/","mediaType":"image","mediaWidth":23,"verticalAlignment":"center","imageFill":false,"focalPoint":{"x":"0.49","y":"0.49"},"backgroundColor":"black","textColor":"white","className":"is-style-default"} -->
<div class="wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default has-white-color has-black-background-color has-text-color has-background" style="grid-template-columns:auto 23%"><figure class="wp-block-media-text__media"><img src="https://www.rodisoftware.com/insect.png" alt="" class="wp-image-1987 size-full"/></figure><div class="wp-block-media-text__content"><!-- wp:paragraph {"textColor":"white","fontSize":"medium"} -->
<p class="has-white-color has-text-color has-medium-font-size">Research shows that less visual complexity, combined more typical color patterns produce higher appreciations of beauty in an interface. <br><br>Research shows that users prefer novel designs as long as usability is not negatively affected. </p>
<!-- /wp:paragraph -->

<!-- wp:paragraph {"textColor":"white","fontSize":"medium"} -->
<p class="has-white-color has-text-color has-medium-font-size">First impressions are always visual impressions. This must always be kept in mind when designing a web interface.</p>
<!-- /wp:paragraph -->

<!-- wp:heading {"style":{"color":{"text":"#000000"}}} -->
<h2 class="has-text-color" style="color:#000000"><strong>Shore with Blue Sea</strong>r</h2>
<!-- /wp:heading -->

<!-- wp:paragraph -->
<p></p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:media-text -->

<!-- wp:columns {"align":"full","backgroundColor":"black","textColor":"white"} -->
<div class="wp-block-columns alignfull has-white-color has-black-background-color has-text-color has-background"><!-- wp:column -->
<div class="wp-block-column"><!-- wp:heading {"textAlign":"center","style":{"typography":{"fontSize":"27px","lineHeight":"1.3"}},"textColor":"pale-cyan-blue"} -->
<h2 class="has-text-align-center has-pale-cyan-blue-color has-text-color" style="font-size:27px;line-height:1.3">Design</h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"fontSize":"medium"} -->
<p class="has-medium-font-size"><span class="has-inline-color has-luminous-vivid-amber-color">Pleasing designs create positive responses in users.</span></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column -->
<div class="wp-block-column"><!-- wp:heading {"textAlign":"center","style":{"typography":{"fontSize":"27px","lineHeight":"1.3"}},"textColor":"pale-cyan-blue"} -->
<h2 class="has-text-align-center has-pale-cyan-blue-color has-text-color" style="font-size:27px;line-height:1.3">Issues</h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"fontSize":"medium"} -->
<p class="has-medium-font-size"><span class="has-inline-color has-luminous-vivid-amber-color">Pleasing aesthetic designs mask minor usability issues.</span></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column -->
<div class="wp-block-column"><!-- wp:heading {"textAlign":"center","style":{"typography":{"fontSize":"27px","lineHeight":"1.3"}},"textColor":"pale-cyan-blue"} -->
<h2 class="has-text-align-center has-pale-cyan-blue-color has-text-color" style="font-size:27px;line-height:1.3">Appearance</h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"fontSize":"medium"} -->
<p class="has-medium-font-size"><span class="has-inline-color has-luminous-vivid-amber-color">If something looks nice, users assume that it also works well.</span></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:separator {"className":"is-style-default"} -->
<hr class="wp-block-separator is-style-default"/>
<!-- /wp:separator -->

<!-- wp:quote {"align":"center","className":"is-style-large"} -->
<blockquote class="wp-block-quote has-text-align-center is-style-large"><p><span class="has-inline-color has-luminous-vivid-amber-color">The time it takes to make a decision increases with the number and complexity of choices.</span></p><cite><span class="has-inline-color has-luminous-vivid-amber-color">— Hick"s Law</span></cite></blockquote>
<!-- /wp:quote -->

<!-- wp:html -->
<center>
<div class="card">
  Sophia Valeria
</div>

<a href="" target="_blank" rel="noopener">RodiSoftware</a>

</center>
<style>
@property --rotate {
  syntax: "<angle>";
  initial-value: 100deg;
  inherits: false;
}

:root {
  --card-height: 45vh;
  --card-width: calc(var(--card-height) / 1.0);
}


.card{
  min-height: 52vh;
  background: #212534;
  display: flex;
  align-items: center;
  flex-direction: column;
  padding-top: 2rem;
  padding-bottom: 2rem;
  box-sizing: border-box;
}


.card {
  background: #191c29;
  width: var(--card-width);
  height: var(--card-height);
  padding: 3px;
  position: relative;
  border-radius: 6px;
  justify-content: center;
  align-items: center;
  text-align: center;
  display: flex;
  font-size: 1.5em;
  color: rgb(88 199 250 / 0%);
  cursor: pointer;
  font-family: cursive;
}

.card:hover {
  color: rgb(88 199 250 / 100%);
  transition: color 1s;
}
.card:hover:before, .card:hover:after {
  animation: none;
  opacity: 0;
}


.card::before {
  content: "";
  width: 104%;
  height: 102%;
  border-radius: 8px;
  background-image: linear-gradient(
    var(--rotate)
    , #5ddcff, #3c67e3 43%, #4e00c2);
    position: absolute;
    z-index: -1;
    top: -1%;
    left: -2%;
    animation: spin 2.5s linear infinite;
}

.card::after {
  position: absolute;
  content: "";
  top: calc(var(--card-height) / 6);
  left: 0;
  right: 0;
  z-index: -1;
  height: 100%;
  width: 100%;
  margin: 0 auto;
  transform: scale(0.8);
  filter: blur(calc(var(--card-height) / 6));
  background-image: linear-gradient(
    var(--rotate)
    , #5ddcff, #3c67e3 43%, #4e00c2);
    opacity: 1;
  transition: opacity .5s;
  animation: spin 2.5s linear infinite;
}

@keyframes spin {
  0% {
    --rotate: 0deg;
  }
  100% {
    --rotate: 360deg;
  }
}

a {
  color: #212534;
  text-decoration: none;
  font-family: sans-serif;
  font-weight: bold;
  margin-top: 2rem;
}

</style>
<!-- /wp:html -->

<!-- wp:media-text {"mediaId":2025,"mediaLink":"https://www.rodisoftware.com/wordpress-5.8/wordpress/design-rules/design21/","mediaType":"image","mediaWidth":38,"verticalAlignment":"center","imageFill":false} -->
<div class="wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center" style="grid-template-columns:38% auto"><figure class="wp-block-media-text__media"><img src="https://www.rodisoftware.com/design21.png" alt="" class="wp-image-2025 size-full"/></figure><div class="wp-block-media-text__content"><!-- wp:paragraph {"placeholder":"Content…","fontSize":"large"} -->
<p class="has-large-font-size"><span class="has-inline-color has-white-color">You become proficient at design by training your unconscious eye toward good, sound instinctual appraisals of your own productions.</span></p>
<!-- /wp:paragraph --></div></div>
<!-- /wp:media-text -->

<!-- wp:separator {"className":"is-style-default"} -->
<hr class="wp-block-separator is-style-default"/>
<!-- /wp:separator -->

<!-- wp:heading {"style":{"typography":{"fontSize":38,"lineHeight":"1.4"}}} -->
<h2 style="font-size:38px;line-height:1.4">Reduce the number of stimuli and you get a faster decision-making process.</h2>
<!-- /wp:heading -->

<!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column -->
<div class="wp-block-column"><!-- wp:paragraph {"style":{"typography":{"fontSize":"19px"}},"textColor":"white"} -->
<p class="has-white-color has-text-color" style="font-size:19px"><span class="has-inline-color has-luminous-vivid-amber-color">Less stimuli or more stimuli? It is hard to strike the right balance, but a general rule for designers is to balance one against the other equally. Not too much text, and not too many images. Sharp fonts and appealing imagery, but do not make a circus act of your digital canvas. Go ahead and list and quote, but don"t make it so that users have to mine information from your interface. Strike a balance. Find the right mix of mediums. And the right mix, you will find, always delivers a unique, powerful and impactful user experience. </span></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column -->
<div class="wp-block-column"><!-- wp:paragraph {"textColor":"white","fontSize":"medium"} -->
<p class="has-white-color has-text-color has-medium-font-size"><span class="has-inline-color has-luminous-vivid-amber-color">Space is trendy. The contours of space are there to be mastered. Outer space is enthralling because of its exhilarating immensity. But there are so many elements out there, numbering in the trillions. And so outer space becomes a kind of aesthetic model for work. Who better to model our designs after than the Creator of heaven and earth? </span></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:group {"align":"full","backgroundColor":"black","textColor":"white"} -->
<div class="wp-block-group alignfull has-white-color has-black-background-color has-text-color has-background"><!-- wp:columns {"align":"wide"} -->
<div class="wp-block-columns alignwide"><!-- wp:column -->
<div class="wp-block-column"><!-- wp:paragraph {"style":{"typography":{"lineHeight":"1.1","fontSize":"5vw"}},"textColor":"pale-cyan-blue"} -->
<p class="has-pale-cyan-blue-color has-text-color" style="font-size:5vw;line-height:1.1"><strong>Principles.</strong></p>
<!-- /wp:paragraph -->

<!-- wp:spacer {"height":5} -->
<div style="height:5px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:columns {"align":"wide"} -->
<div class="wp-block-columns alignwide"><!-- wp:column {"width":"33.38%"} -->
<div class="wp-block-column" style="flex-basis:33.38%"><!-- wp:paragraph {"style":{"typography":{"fontSize":"18px"}},"textColor":"white"} -->
<p class="has-white-color has-text-color" style="font-size:18px">Look to the heavens for the first principles. It is generous with stars, objects and elements, but still easy on the eyes to view directly. There is so much out there, and this is obvious at first sight, but the light of it is meager and pinhole in nature. We must strive to be just as giving, and all the same, present our produce with a soft tinge of wonder. </p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column {"width":"33%"} -->
<div class="wp-block-column" style="flex-basis:33%"><!-- wp:spacer -->
<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->

<!-- wp:image {"id":2032,"sizeSlug":"full","linkDestination":"none"} -->
<figure class="wp-block-image size-full"><img src="https://www.rodisoftware.com/car_33.png" alt="car" class="wp-image-2032"/></figure>
<!-- /wp:image --></div>
<!-- /wp:column -->

<!-- wp:column {"width":"33.62%"} -->
<div class="wp-block-column" style="flex-basis:33.62%"><!-- wp:image {"id":2040,"sizeSlug":"full","linkDestination":"none"} -->
<figure class="wp-block-image size-full"><img src="https://www.rodisoftware.com/creativity21.png" alt="creative" class="wp-image-2040"/></figure>
<!-- /wp:image --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:columns {"align":"wide"} -->
<div class="wp-block-columns alignwide"><!-- wp:column {"width":"67%"} -->
<div class="wp-block-column" style="flex-basis:67%"><!-- wp:image {"align":"right","id":2036,"sizeSlug":"full","linkDestination":"none"} -->
<div class="wp-block-image"><figure class="alignright size-full"><img src="https://www.rodisoftware.com/wordpress_logo.png" alt="wordpress" class="wp-image-2036"/></figure></div>
<!-- /wp:image --></div>
<!-- /wp:column -->

<!-- wp:column {"verticalAlignment":"center","width":"33%"} -->
<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:33%"><!-- wp:paragraph {"style":{"typography":{"fontSize":"18px"}},"textColor":"white"} -->
<p class="has-white-color has-text-color" style="font-size:18px">Keep your focus on the user at all times. You design for a user"s eyes, and that must always be remembered. But the truth is that you design for user"s soul. An experience with your site is an emotional experience for the user. Seek to brighten their day and spoil sleep, if possible. Judgments are made subconsciously by the visitors, and you must deliver for a subconscious audience.  </p>
<!-- /wp:paragraph --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:group -->

<!-- wp:paragraph {"backgroundColor":"black","textColor":"white","fontSize":"large"} -->
<p class="has-white-color has-black-background-color has-text-color has-background has-large-font-size">What you want to build out is the element of attraction. The most useful objects are not often the most attractive. This is especially true when you think of hardware and tools. Most things are designed for usability and usefulness. Most interfaces are built for getting things done. </p>
<!-- /wp:paragraph -->

<!-- wp:paragraph {"backgroundColor":"black","textColor":"white","fontSize":"large"} -->
<p class="has-white-color has-black-background-color has-text-color has-background has-large-font-size">But the internet and web pages present opportunities that most physical hand-tools do not. They deliver content, which is often an essential complement to the program being used. We are not comparing hammers here. We are comparing storefronts. We are comparing modes of delivery. </p>
<!-- /wp:paragraph -->

<!-- wp:paragraph {"backgroundColor":"black","textColor":"white","fontSize":"large"} -->
<p class="has-white-color has-black-background-color has-text-color has-background has-large-font-size">On the interwebs, a web site is a storefront. There is branding, advertising materials, doors and digital aisles and sections. This is the way to think of developing a web page. </p>
<!-- /wp:paragraph -->

<!-- wp:paragraph {"backgroundColor":"black","textColor":"white","fontSize":"large"} -->
<p class="has-white-color has-black-background-color has-text-color has-background has-large-font-size">The tool is one thing. The storefront is another. </p>
<!-- /wp:paragraph -->

<!-- wp:paragraph {"backgroundColor":"black","textColor":"white","fontSize":"large"} -->
<p class="has-white-color has-black-background-color has-text-color has-background has-large-font-size">This is why presentation is important. Ambiance is important. The atmospherics are important. Aesthetics comes into play. </p>
<!-- /wp:paragraph -->';
register_block_pattern(
	'rodi-software/Design_page_full',
	[
		'categories'    => [
			'full page templates',
		],
		'content'       => $new_pattern_block,
		'description'   => 'design pattern #1',
		'keywords'      => 'block pattern',
		'title'         => 'Design Page Pattern',
		'viewportWidth' => 1200,
	],
);
};





function register_clouded_pattern(){
    $new_pattern_block = '<!-- wp:group {"align":"full","style":{"spacing":{"padding":{"top":"2em","bottom":"2em","right":"2em","left":"2em"}},"elements":{"link":{"color":[]}}}} -->
<div class="wp-block-group alignfull has-link-color" style="padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em"><!-- wp:columns {"verticalAlignment":"center","align":"wide"} -->
<div class="wp-block-columns alignwide are-vertically-aligned-center"><!-- wp:column {"verticalAlignment":"center","width":"40%"} -->
<div class="wp-block-column is-vertically-aligned-center" style="flex-basis:40%"><!-- wp:spacer {"height":50} -->
<div style="height:50px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->

<!-- wp:image {"id":2080,"sizeSlug":"large","linkDestination":"none","className":"is-style-rounded"} -->
<figure class="wp-block-image size-large is-style-rounded"><img src="https://s.w.org/patterns/files/2021/07/2206377-1024x1024.jpg" alt="" class="wp-image-2080" /></figure>
<!-- /wp:image --></div>
<!-- /wp:column -->

<!-- wp:column {"verticalAlignment":"center","width":""} -->
<div class="wp-block-column is-vertically-aligned-center"><!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column -->
<div class="wp-block-column"><!-- wp:image {"id":2079,"sizeSlug":"large","linkDestination":"none","className":"is-style-rounded"} -->
<figure class="wp-block-image size-large is-style-rounded"><img src="https://s.w.org/patterns/files/2021/07/2206375-1024x1024.jpg" alt="" class="wp-image-2079" /></figure>
<!-- /wp:image --></div>
<!-- /wp:column -->

<!-- wp:column -->
<div class="wp-block-column"></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:group {"style":{"spacing":{"padding":{"top":"1em","right":"1em","bottom":"1em","left":"1em"}}}} -->
<div class="wp-block-group" style="padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em"><!-- wp:spacer {"height":10} -->
<div style="height:10px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer -->

<!-- wp:heading {"style":{"typography":{"lineHeight":"1.1","fontSize":"48px"}}} -->
<h2 id="charcoal-on-paper" style="font-size:48px;line-height:1.1"><strong>Charcoal on paper</strong></h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"style":{"typography":{"fontSize":"24px","lineHeight":"1.4"}}} -->
<p style="font-size:24px;line-height:1.4">18 drawings of structures and seaside scenes.</p>
<!-- /wp:paragraph -->

<!-- wp:spacer {"height":10} -->
<div style="height:10px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer --></div>
<!-- /wp:group -->

<!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column -->
<div class="wp-block-column"></div>
<!-- /wp:column -->

<!-- wp:column {"width":"66.66%"} -->
<div class="wp-block-column" style="flex-basis:66.66%"><!-- wp:image {"id":2081,"sizeSlug":"large","linkDestination":"none","className":"is-style-rounded"} -->
<figure class="wp-block-image size-large is-style-rounded"><img src="https://s.w.org/patterns/files/2021/07/2206380-1024x1024.jpg" alt="" class="wp-image-2081" /></figure>
<!-- /wp:image --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:spacer {"height":10} -->
<div style="height:10px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:group -->';

register_block_pattern(
    'rodi-software/text surrounded by round images',
    [
        'categories' => [
           'gallery',
        ],
        'content' => $new_pattern_block,
        'description' => 'surrounded by images',
        'keywords' => 'block pattern',
        'title' => 'Crowded by Images',
        'viewportWidth' => 1200,
    ],
    
    );

}

add_action('init', 'register_clouded_pattern');











/*
'<!-- wp:cover {"url":"https://s.w.org/patterns/files/2021/08/Fishing-Boats-Key-West-Winslow-Homer-scaled-1.jpg","id":2170,"dimRatio":0,"focalPoint":{"x":0.5,"y":"1.00"},"minHeight":63,"minHeightUnit":"vw","contentPosition":"bottom center","isDark":false,"align":"full","style":{"spacing":{"padding":{"top":"600px","right":"0px","bottom":"0px","left":"0px"}}}} -->
<div class="wp-block-cover alignfull is-light has-custom-content-position is-position-bottom-center" style="padding-top:600px;padding-right:0px;padding-bottom:0px;padding-left:0px;min-height:63vw"><span aria-hidden="true" class="has-background-dim-0 wp-block-cover__gradient-background has-background-dim"></span><img class="wp-block-cover__image-background wp-image-2170" alt="" src="https://s.w.org/patterns/files/2021/08/Fishing-Boats-Key-West-Winslow-Homer-scaled-1.jpg" style="object-position:50% 100%" data-object-fit="cover" data-object-position="50% 100%" /><div class="wp-block-cover__inner-container"><!-- wp:group {"align":"wide","style":{"color":{"text":"#ffffff"},"spacing":{"padding":{"top":"2em","right":"3em","bottom":"2em","left":"3em"}}},"backgroundColor":"black"} -->
<div class="wp-block-group alignwide has-black-background-color has-text-color has-background" style="color:#ffffff;padding-top:2em;padding-right:3em;padding-bottom:2em;padding-left:3em"><!-- wp:heading {"align":"wide","style":{"typography":{"fontWeight":"700"}},"fontSize":"extra-large"} -->
<h2 class="alignwide has-extra-large-font-size" id="fishing-boats" style="font-weight:700">FISHING BOATS</h2>
<!-- /wp:heading --></div>
<!-- /wp:group -->

<!-- wp:group {"align":"wide","style":{"color":{"background":"#ffffff"},"spacing":{"padding":{"top":"3em","right":"3em","bottom":"3em","left":"3em"}}},"textColor":"black"} -->
<div class="wp-block-group alignwide has-black-color has-text-color has-background" style="background-color:#ffffff;padding-top:3em;padding-right:3em;padding-bottom:3em;padding-left:3em"><!-- wp:columns {"align":"wide"} -->
<div class="wp-block-columns alignwide"><!-- wp:column -->
<div class="wp-block-column"><!-- wp:paragraph {"placeholder":"Write title…","textColor":"black"} -->
<p class="has-black-color has-text-color"><strong>Winslow Homer</strong>, 1903</p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column -->
<div class="wp-block-column"><!-- wp:paragraph {"textColor":"black"} -->
<p class="has-black-color has-text-color"><strong>Winslow Homer</strong> was an American landscape painter best known for his marine subjects. He is considered one of the foremost painters in 19th-century America.</p>
<!-- /wp:paragraph -->

<!-- wp:paragraph {"textColor":"black"} -->
<p class="has-black-color has-text-color"><strong><a href="#">Learn More →</a></strong></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:group --></div></div>
<!-- /wp:cover -->'
*/