<?php





function register_post_styles() {
    wp_register_style( 'post_date', get_stylesheet_directory_uri() . '/css/post_dating.css', array(), '1.0.0' );
	 wp_register_style( 'author-style', get_stylesheet_directory_uri() . '/css/author.css', array(), '1.0.0'  );
	 wp_register_style( 'category-style', get_template_directory_uri() . '/css/category_style.css' );
}
 add_action( 'wp_enqueue_scripts', 'register_post_styles' );

add_action( 'customize_register', 'sophia_customize_register' );

function sophia_customize_register( $wp_customize ) {
    $wp_customize->add_section(
        'sophia_customizer_section',
        array(
            'title' => 'post customizations','sophia-valeria',
            'description' => 'Customize the post date',
            'priority' => 70,

        )
    );

    $wp_customize->add_setting(
        'sophia_customizer_setting',
        array(
            'default' => '',
			  'capability' => 'edit_theme_options',
            'transport' => 'refresh',
             'sanitize_callback' => 'svg_checkbox_sanitize_text',

        )
    );

    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,

        'sophia_customizer_setting',
        array(
        'label' => 'remove post date', 'sophia-valeria',
         'section' => 'sophia_customizer_section',
          'settings' => 'sophia_customizer_setting',
            'type' => 'checkbox',
           

        )


      )
    );
	
	
    //create a setting to remove author name from posts
    $wp_customize->add_setting(
        'sophia_customizer_setting_author',
        array(
            'default' => '',
            'transport' => 'refresh',
            'sanitize_callback' => 'svg_checkbox_sanitize_text',
              'capability' => 'edit_theme_options',
              ) );



              //create a control for the sophia_customizer_setting_author
              $wp_customize->add_control(new WP_Customize_Control(
                $wp_customize,
                'sophia_customizer_setting_author',
                array(
                'label' => 'remove author name', 'sophia-valeria',
                'section' => 'sophia_customizer_section',
                'settings' => 'sophia_customizer_setting_author',
                'type' => 'checkbox',
                'description' => 'Check to remove the author name',
                'priority' => 20,
                )
              )
              );

//add setting to remove category from posts
$wp_customize->add_setting(
    'sophia_customizer_setting_category',
    array(
        'default' => '',
        'transport' => 'refresh',
        'sanitize_callback' => 'svg_checkbox_sanitize_text',
          'capability' => 'edit_theme_options',
          ) );
		  
		
	
function svg_checkbox_sanitize_text( $input ) {
    return sanitize_key( $input );
}
     
	
		  

          //create a control for sophia_customizer_setting_category
          $wp_customize->add_control(new WP_Customize_Control(
            $wp_customize,
            'sophia_customizer_setting_category',
            array(
            'label' => 'remove category', 'sophia-valeria',
            'section' => 'sophia_customizer_section',
            'settings' => 'sophia_customizer_setting_category',
            'type' => 'checkbox',
            'description' => 'Check to remove the category',
            'priority' => 30,
            )
          )
          );

              //add setting to center the post info
          $wp_customize->add_setting(
            'sophia_customizer_setting_center',
            array(
                'default' => '',
                'transport' => 'refresh',
                'sanitize_callback' => 'svg_checkbox_sanitize_text',
                  'capability' => 'edit_theme_options',
                  ) );

              //create a control for sophia_customizer_setting_center
              $wp_customize->add_control(new WP_Customize_Control(
                $wp_customize,
                'sophia_customizer_setting_center',
                array(
                'label' => 'center post info', 'sophia-valeria',
                'section' => 'sophia_customizer_section',
                'settings' => 'sophia_customizer_setting_center',
                'type' => 'select',
                'description' => 'Check to center the post info',
                'priority' => 40,
                'choices' => array(
                    'left' => 'left',
                    'center' => 'center',
                    'right' => 'right',
                ),
                )
              )
              );	
              
                 //add setting to center, left and right the #reply-title selector
            $wp_customize->add_setting(
              'sophia_customizer_setting_reply',
              array(
                  'default' => '',
                  'transport' => 'refresh',
                  'sanitize_callback' => 'svg_checkbox_sanitize_text',
                    'capability' => 'edit_theme_options',
                    ) );

                //create a control for sophia_customizer_setting_reply
                $wp_customize->add_control(new WP_Customize_Control(
                  $wp_customize,
                  'sophia_customizer_setting_reply',
                  array(
                  'label' => 'center reply title', 'sophia-valeria',
                  'section' => 'sophia_customizer_section',
                  'settings' => 'sophia_customizer_setting_reply',
                  'type' => 'select',
                  'description' => 'Check to center the reply title',
                  'priority' => 50,
                  'choices' => array(
                      'left' => 'left',
                      'center' => 'center',
                      'right' => 'right',
                  ),
                  )
                )
                );
              
              

}

//create a function to output the customizer css for the #reply-title selector
function sophia_customizer_css_reply() { ?>
    <style type="text/css">
        #reply-title {
            text-align: <?php echo esc_html(get_theme_mod('sophia_customizer_setting_reply')); ?>;
        }
    </style>
<?php }
add_action( 'wp_head', 'sophia_customizer_css_reply' );



//create a function that will add the customizer css
function sophia_customizer_css() {
    ?>
    <style type="text/css">
        .posted-on,
        .entry-meta{
            text-align: <?php echo esc_html(get_theme_mod('sophia_customizer_setting_center')); ?>;
        }
    </style>
    <?php
}
add_action( 'wp_head', 'sophia_customizer_css');








function sv_checkbox_sanitize_text( $input ){
              
            //returns true if checkbox is checked
            return ( isset( $input ) ? true : false );
        }
		
	function function_enqueue_category_styles() {
    wp_enqueue_style( 'category-style' );
    }
    //add_action( 'wp_enqueue_scripts', 'function_enqueue_category_styles' );
        


    function wp_enqueue_post_style() {
    $swim = get_theme_mod( 'sophia_customizer_setting' );
    if ($swim == 1) {
        wp_enqueue_style( 'post_date' );
    }   }
    add_action( 'wp_enqueue_scripts', 'wp_enqueue_post_style' );
	
	
	 function wp_enqueue_author_style() {
              $skin = get_theme_mod( 'sophia_customizer_setting_author' );
              if ( $skin == 1 ) {
              wp_enqueue_style( 'author-style' );
              }
              }
              add_action( 'wp_enqueue_scripts', 'wp_enqueue_author_style' );
			  
   function wp_enqueue_category_style() {
              $skin = get_theme_mod( 'sophia_customizer_setting_category' );
              if ( $skin == 1 ) {
              wp_enqueue_style( 'category-style' );
              }
              }
              add_action( 'wp_enqueue_scripts', 'wp_enqueue_category_style' );
			  
			  
			  
			  
			  


?>