<?php


/*


add_action( 'customize_register', 'register_footer_sections' );
function register_footer_sections($wp_customize){

	// section for layout:
	$wp_customize->add_section('remove_powered_by', array(
	    'title'    => __( 'Footer Options', 'sophia-valeria' ),
		'priority' => 55,
        
	)
	
	);
	

    $wp_customize->add_setting( 'theme_footer_color' , array(
        'default'     => '#000000',
        'transport'   => 'refresh',
        'sanitize_callback' => 'sanitize_hex_colors',
    ) );
    
    function sanitize_hex_colors( $color ) {
        if ( $colored = sanitize_hex_color( $color ) )
            return '#' . $colored;
        return $color;
    }

    
    

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_footer_colors', array(
        'label'        => __( 'Footer Color', 'sophia-valeria' ),
        'section'    => 'remove_powered_by',
        'settings'   => 'theme_footer_color',
    ) ) );


	
$wp_customize->add_setting('footer_change', array(
        'default'    => '',
		'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_checkbox_t',
    ) );

	
	function sanitize_checkbox_t( $input ) {
        if ( $input == 1 ) {
            return 1;
        } else {
            return 0;
        }
    }

  $wp_customize->add_control(new WP_Customize_Control( $wp_customize, 'footer_change', array(
        'label'      => __('Remove footer sections', 'sophia-valeria' ),
		'description' => __('Removes both footer sections.', 'sophia-valeria' ),
        'section'    => 'remove_powered_by',
        'settings'   => 'footer_change',
        'type'       => 'checkbox',
        'priority'   => 10,
		'std' => '1',
        
        
		 ) ));
		 
	$wp_customize->add_setting('remove_credit', array(
    'default' => '',
    'type' => 'theme_mod',
	'capability' => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_checkbox_t',
) );




$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'remove_credit', array(
	'label'       => __( 'Remove footer theme credit.', 'sophia-valeria' ),
	'description' => __('Removes footer credit.', 'sophia-valeria' ),
	'section'     => 'remove_powered_by',
	'settings'    => 'remove_credit',
	'type'        => 'checkbox',
	'priority'    => 59,	
	'std' => '1',
)));
		
//create a setting to change the footer text color
$wp_customize->add_setting( 'footer_text_color', array(
    'default'  => '#ffffff',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hexa_color',
    //'transport' => 'postMessage',
) );

//sanitize the color
function sanitize_hexa_color( $color ) {
    if ( $unhashed = sanitize_hex_color_no_hash( $color ) )
        return '#' . $unhashed;

    return $color;
}


//add a control to change the footer text color
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_text_color', array(
    'label' => __( 'Change added Footer area content color.', 'sophia-valeria' ),
	'description' => __('This color cannot always be previewed.', 'sophia-valeria'),
    'section' => 'remove_powered_by',
    'settings' => 'footer_text_color',
    'priority' => 60,
) ) );




   $wp_customize->add_setting( 'footer_area_content', array(
        'default'           => '',  //look into this empty!!
        'sanitize_callback' => 'wp_kses_post',
        'capability'        => 'edit_theme_options',
        'type'              => 'theme_mod',
        //'transport'         => 'postMessage',

    ) );


    $wp_customize->add_control( 'footer_area_content', array(
        'label'             => esc_html__( 'Add Footer Area Content', 'sophia-valeria' ),
        'section'           => 'remove_powered_by',
        'type'              => 'textarea',
        'priority'          => 10,
        'settings'          => 'footer_area_content',

    ) );





    $wp_customize->add_setting( 'change_footer_credits_size', array(
	'default'  => 'large',
     'type' => 'theme_mod',
	'capability' => 'edit_theme_options',
	'sanitize_callback' => 'themeslug_selection',
	
) );

function themeslug_selection( $input, $setting ){
            $input = sanitize_key($input);
            $choices = $setting->manager->get_control( $setting->id )->choices;
            return ( array_key_exists( $input, $choices ) ? $input : $setting->default );  
}

$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'change_footer_credits_size', array(
	'label'       => esc_html__( 'Make footer credits text bigger or smaller.', 'sophia-valeria' ),
	'description' => esc_html__( 'Change footer credits font size.', 'sophia-valeria' ),
	'section'     => 'remove_powered_by',
	'settings'    => 'change_footer_credits_size',
    'priority'    => 55,
	'type'        => 'select',
    'choices' => array(
     'large' => 'large',
     'x-large' => 'x-large',
     'xx-large' => 'xx-large',
     'medium' => 'medium',
     'small' => 'small',
     'x-small' => 'x-small',
      'xxx-large' => 'xxx-large',
      '4.0em' => 'really big',
       '5.0em' => 'humungous',
      '6.0em' => 'header sized',
	)
) ) );


}




function understanding_footer_text_color(){ ?>
    <style>
        .stud  {
            color: <?php echo __(get_theme_mod('footer_text_color', '#ffffff')); ?>;
        }
    </style>
<?php }
add_action( 'wp_footer', 'understanding_footer_text_color' );
   




 function understanding_footer_credits_size(){                  ?>
	<style> .site-footer { font-size:<?php echo(get_theme_mod('change_footer_credits_size','large'));?> !important;}
	 </style> <?php 
}
	add_action( 'wp_enqueue_scripts', 'understanding_footer_credits_size'); 





function footer_color_css(){
    ?>
    <style>
        .site-footer a,
        #colophon,
        .stud,
        #site-info
        {
            color: <?php echo __(get_theme_mod('theme_footer_color', '#000000'));?> ;  
        }
    </style>
    <?php
}
add_action('wp_head', 'footer_color_css');



@media screen and (min-width: 1070px) {


    .sv-header {
        height: 185px; 
        overflow: hidden; 
        color: silver;
        background-color: black;
        width: 100%;
      
      }
      

    .sv-logo {
        width: 150px;
        height: 150px;
        padding: 10px;
        position: absolute;
        left: 0;
        top: 0;
      }

      .sv-nav {
        width: 85%; 
        display: flex;
        align-items: center;
        justify-content: right;
        
      }
    
      .sv-nav li {
        display: inline-block;
        padding: 0 0px;
      }
      
    

}








*/






















