<?php 

function sv_social_media_section($wp_customize){
    $wp_customize->add_section('sv_social_media', array(
        'title' => 'Social Media Section',
        'priority' => 41,
        'description' => 'insert social media URLs',
    ));

    //add setting for user defined social media link for twitter
    $wp_customize->add_setting('sv_twitter_link_setting', array(
        'default' => '',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sv_sanitize_twitter_link',
    ));

    $wp_customize->add_control('sv_twitter_link_setting', array(
        'label' => __('Twitter URL', 'sophia-valeria'),
        'section' => 'sv_social_media',
        'priority' => 2,
        'type' => 'text',
        'description' => __('Enter the URL of your Twitter account.', 'sophia-valeria'),
    ));

    function sv_sanitize_twitter_link($input) {
        if ($input) {
            return esc_url($input);
        } else {
            return '';
        }
    }

    //add setting for user defined social media link for facebook
    $wp_customize->add_setting('sv_facebook_link_setting', array(
        'default' => '',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sv_sanitize_facebook_link',
    ));

    $wp_customize->add_control('sv_facebook_link_setting', array(
        'label' => __('Facebook URL', 'sophia-valeria'),
        'section' => 'sv_social_media',
        'priority' => 3,
        'type' => 'text',
        'description' => __('Enter the URL of your Facebook account.', 'sophia-valeria'),
    ));

    function sv_sanitize_facebook_link($input) {
        if ($input) {
            return esc_url($input);
        } else {
            return '';
        }
    }

    //add setting for user defined social media link for linked in
    $wp_customize->add_setting('sv_linkedin_link_setting', array(
        'default' => '',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sv_sanitize_linkedin_link',
    ));

    $wp_customize->add_control('sv_linkedin_link_setting', array(
        'label' => __('LinkedIn URL', 'sophia-valeria'),
        'section' => 'sv_social_media',
        'priority' => 4,
        'type' => 'text',
        'description' => __('Enter the URL of your LinkedIn account.', 'sophia-valeria'),
    ));

    function sv_sanitize_linkedin_link($input) {
        if ($input) {
            return esc_url($input);
        } else {
            return '';
        }
    }

    //add setting for telephone number
    $wp_customize->add_setting('sv_telephone_setting', array(
        'default' => '',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sv_sanitize_telephone',
    ));

    $wp_customize->add_control('sv_telephone_setting', array(
        'label' => __('Telephone Number', 'sophia-valeria'),
        'section' => 'sv_social_media',
        'priority' => 5,
        'type' => 'text',
        'description' => __('Enter the telephone number you would like to display.', 'sophia-valeria'),
    ));

    function sv_sanitize_telephone($input) {
        if ($input) {
            return esc_attr($input);
        } else {
            return '';
        }
    }




}

add_action('customize_register', 'sv_social_media_section');